/* 
 * CZ Bind Maker
 * 
 * By: Steven Whitley (aka [CZ] Qw4z0)
 * 
 * CZ Bind Maker is a key Bind utility for Counter-Strike 1.6
 * and is distributed under the GNU Public License.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * If you need further support for this program you may visit
 * http://www.bindmaker.org/ and post in the forums for help.
 * 
 *  
 * Any Changes or modifications of this source may be submitted for inclusion
 * in the official release of CZ Bind Maker to Steve Whitley at support@bindmaker.org.
 * 
 * Be sure to comment your code as follows:
 * 
 * // [ AUTHOR ] [ DATE ] 
 * // [ DESCRIPTION OF THE CHANGE OR ADDITION ]
 * 
 * */

/* ###############################################
 * #          Sand Bar Library License           #
 * ###############################################
 * 
 * This release of SandBar is available at no charge for you to use in your freeware products 
 * royalty-free. This license does not allow distribution of SandBar with software that is
 * sold or generates income in any way. Use of this release is subject to my name being
 * displayed as a credit in the About dialog in your application. If this is unacceptable you
 * will need to purchase the commercial license.
 * 
 * When distributing this product with software where the source code is available (under
 * GPL or other similar licenses) you are required to distribute this license file with the
 * binary. This is to ensure other developers understand fully the terms of this release.
 * 
 * By using, downloading or posessing this product you agree not to attempt to decompile or
 * reverse engineer it in any way. Enjoy!
 * 
 * Tim Dawson
 * http://www.divil.co.uk/net/
 * 
 * */

#define CHECK_VERSION
#define SAY

#undef CHECK_VERSION
#undef SAY
using System;
using System.IO;
using System.Net;
using System.Xml;
using System.Data;
using System.Drawing;
using System.Reflection;
using System.Collections;
using System.Diagnostics;
using System.Windows.Forms;
using System.ComponentModel;
using System.Text.RegularExpressions;
using TD.SandBar;
using Microsoft.Win32;

namespace CZBindMaker
{
	/// <summary>
	/// CZ Bind Maker is a utility to configure binds for CS 1.6
	/// </summary>
	public class CZBindMakerMainForm : System.Windows.Forms.Form
	{
		#region PROGRAM VARIABLES
		// CUSTOM CZ BIND MAKER VARS
// FOR SOME REASON THIS WAS CAUSING SOME CLIENTS TO CRASH
//		public double APP_VERSION =			        // USED IN INTERNAL VERSION CONTROL (VERSION.CS)
//			double.Parse(Assembly.GetExecutingAssembly().GetName().Version.Major.ToString()+"."+
//			Assembly.GetExecutingAssembly().GetName().Version.Minor.ToString()+
//			Assembly.GetExecutingAssembly().GetName().Version.Build.ToString());			
		private const string NO_KEY_PRESSED = "";	// NEED I EXPLAIN... CONSTANT FOR EMPTY STRING
		public static string applicationVersion;
		public static string m_configTransferPath;	// USED FOR TRANSFERRING DATA BETWEEN FORMS
		//private bool m_autoUpdate;				// USED TO TURN AUTO-UPDATE ON AND OFF
		private string m_configFilePath = "";		// PATH OF THE CONFIG FILE (INCLUDES FILENAME)
		private string m_bindFilePath = "";			// PATH OF THE CZBIND FILE (INCLUDES FILENAME)
		private string m_userFilePath = "";			// PATH OF THE USECONFIG FILE (INCLUDES FILENAME)
		private StreamWriter m_writer;				// STREAM WRITER USED FOR WRITING CHANGES TO FILES
		private StreamReader m_reader;				// STREAM READER USED FOR READING FILE CONTENTS
		private string m_configFileContents;		// LOCAL STORAGE OF THE CONFIG FILE CONTENTS
		private string m_binFileContents;			// LOCAL STORAGE OF THE CZBIND FILE CONTENTS
		private string m_userFileContents;			// LOCAL STORAGE OF THE USERCONFIG FILE CONTENTS
		private string m_consoleColor;				// LOCAL VALUE OF THE CONSOLE COLOR  EX: "255 255 255" FOR THE COLOR WHITE
		private RegistryKey m_rKey = Registry.LocalMachine.OpenSubKey(@"SOFTWARE\Valve\Steam", true);
		private RegistryKey m_rate = Registry.CurrentUser.OpenSubKey(@"SOFTWARE\Valve\Steam", true);
		private System.Windows.Forms.OpenFileDialog ConfigFileFinder;
		private System.Windows.Forms.ColorDialog ConsoleColorPicker;
		private System.Windows.Forms.ImageList KeyBoardImageList;
		private System.Windows.Forms.ImageList weaponImageList;
		private System.Windows.Forms.ToolTip CZBindToolTip;
		private PrivateSettings.SettingContainer UserPreferencesSettingContainer;
		private PrivateSettings.Setting ToolTipsEnabled;
		private PrivateSettings.Setting ConfigFilePath;
		private PrivateSettings.Setting BindFilePath;
		private PrivateSettings.Setting UserConfigPath;
		private PrivateSettings.Setting ToggleAutoUpdate;
		private System.Windows.Forms.ImageList ContextMenuImageList;
		private System.Windows.Forms.ImageList MainMenuimageList;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.TabControl main_tabControl;
		private System.Windows.Forms.TabPage binds_tabPage;
		private System.Windows.Forms.CheckedListBox BindOptions_ListBox;
		private System.Windows.Forms.TabPage config_tabPage;
		private System.Windows.Forms.NumericUpDown rate;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.CheckBox cl_righthand;
		private System.Windows.Forms.CheckBox _cl_autoweaponswitch;
		private System.Windows.Forms.CheckBox _vgui_menus;
		private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.RadioButton net_grappos_2;
		private System.Windows.Forms.RadioButton net_grappos_1;
		private System.Windows.Forms.RadioButton net_grappos_3;
		private System.Windows.Forms.NumericUpDown Fps_Range;
		private System.Windows.Forms.CheckBox cl_weather;
		private System.Windows.Forms.CheckBox hud_fastswitch;
		private System.Windows.Forms.CheckBox hud_centerID;
		private System.Windows.Forms.GroupBox net_graph_GroupBox;
		private System.Windows.Forms.RadioButton net_graph_0;
		private System.Windows.Forms.RadioButton net_graph_3;
		private System.Windows.Forms.RadioButton net_graph_2;
		private System.Windows.Forms.RadioButton net_graph_1;
		private System.Windows.Forms.CheckBox DynamicCrossHairs;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox PlayerName;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button consolecolor;
		private System.Windows.Forms.Label consoleColorSample;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.ListBox CurrentBind_ListBox;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.RadioButton unuseableButton6;
		private System.Windows.Forms.RadioButton unuseableButton5;
		private System.Windows.Forms.RadioButton unuseableButton4;
		private System.Windows.Forms.RadioButton unuseableButton3;
		private System.Windows.Forms.RadioButton unuseableButton2;
		private System.Windows.Forms.RadioButton unuseableButton1;
		private System.Windows.Forms.RadioButton kp_0;
		private System.Windows.Forms.RadioButton kp_dot;
		private System.Windows.Forms.RadioButton kp_rtn;
		private System.Windows.Forms.RadioButton kp_3;
		private System.Windows.Forms.RadioButton kp_2;
		private System.Windows.Forms.RadioButton kp_1;
		private System.Windows.Forms.RadioButton kp_6;
		private System.Windows.Forms.RadioButton kp_5;
		private System.Windows.Forms.RadioButton kp_4;
		private System.Windows.Forms.RadioButton kp_plus;
		private System.Windows.Forms.RadioButton kp_9;
		private System.Windows.Forms.RadioButton kp_8;
		private System.Windows.Forms.RadioButton kp_7;
		private System.Windows.Forms.RadioButton kp_dash;
		private System.Windows.Forms.RadioButton astrisk;
		private System.Windows.Forms.RadioButton kp_forwardslash;
		private System.Windows.Forms.RadioButton pause;
		private System.Windows.Forms.RadioButton rightarrow;
		private System.Windows.Forms.RadioButton leftarrow;
		private System.Windows.Forms.RadioButton downarrow;
		private System.Windows.Forms.RadioButton uparrow;
		private System.Windows.Forms.RadioButton pagedown;
		private System.Windows.Forms.RadioButton end;
		private System.Windows.Forms.RadioButton del;
		private System.Windows.Forms.RadioButton pageup;
		private System.Windows.Forms.RadioButton home;
		private System.Windows.Forms.RadioButton ins;
		private System.Windows.Forms.RadioButton rctrl;
		private System.Windows.Forms.RadioButton ralt;
		private System.Windows.Forms.RadioButton space;
		private System.Windows.Forms.RadioButton lalt;
		private System.Windows.Forms.RadioButton lctrl;
		private System.Windows.Forms.RadioButton rshift;
		private System.Windows.Forms.RadioButton forwardslash;
		private System.Windows.Forms.RadioButton closed_tag;
		private System.Windows.Forms.RadioButton open_tag;
		private System.Windows.Forms.RadioButton mkey;
		private System.Windows.Forms.RadioButton nkey;
		private System.Windows.Forms.RadioButton bkey;
		private System.Windows.Forms.RadioButton vkey;
		private System.Windows.Forms.RadioButton ckey;
		private System.Windows.Forms.RadioButton xkey;
		private System.Windows.Forms.RadioButton zkey;
		private System.Windows.Forms.RadioButton lshift;
		private System.Windows.Forms.RadioButton enter;
		private System.Windows.Forms.RadioButton quotes;
		private System.Windows.Forms.RadioButton semicol;
		private System.Windows.Forms.RadioButton lkey;
		private System.Windows.Forms.RadioButton kkey;
		private System.Windows.Forms.RadioButton jkey;
		private System.Windows.Forms.RadioButton hkey;
		private System.Windows.Forms.RadioButton gkey;
		private System.Windows.Forms.RadioButton fkey;
		private System.Windows.Forms.RadioButton dkey;
		private System.Windows.Forms.RadioButton skey;
		private System.Windows.Forms.RadioButton akey;
		private System.Windows.Forms.RadioButton caps;
		private System.Windows.Forms.RadioButton backslash;
		private System.Windows.Forms.RadioButton closed_square_brace_key;
		private System.Windows.Forms.RadioButton open_square_brace_key;
		private System.Windows.Forms.RadioButton pkey;
		private System.Windows.Forms.RadioButton okey;
		private System.Windows.Forms.RadioButton ikey;
		private System.Windows.Forms.RadioButton ukey;
		private System.Windows.Forms.RadioButton ykey;
		private System.Windows.Forms.RadioButton tkey;
		private System.Windows.Forms.RadioButton rkey;
		private System.Windows.Forms.RadioButton ekey;
		private System.Windows.Forms.RadioButton wkey;
		private System.Windows.Forms.RadioButton qkey;
		private System.Windows.Forms.RadioButton tab;
		private System.Windows.Forms.RadioButton backspace;
		private System.Windows.Forms.RadioButton equals;
		private System.Windows.Forms.RadioButton dash;
		private System.Windows.Forms.RadioButton zero;
		private System.Windows.Forms.RadioButton nine;
		private System.Windows.Forms.RadioButton eight;
		private System.Windows.Forms.RadioButton seven;
		private System.Windows.Forms.RadioButton six;
		private System.Windows.Forms.RadioButton five;
		private System.Windows.Forms.RadioButton four;
		private System.Windows.Forms.RadioButton three;
		private System.Windows.Forms.RadioButton two;
		private System.Windows.Forms.RadioButton one;
		private System.Windows.Forms.RadioButton tilda;
		private System.Windows.Forms.RadioButton f12;
		private System.Windows.Forms.RadioButton f11;
		private System.Windows.Forms.RadioButton f10;
		private System.Windows.Forms.RadioButton f9;
		private System.Windows.Forms.RadioButton f8;
		private System.Windows.Forms.RadioButton f7;
		private System.Windows.Forms.RadioButton f6;
		private System.Windows.Forms.RadioButton f5;
		private System.Windows.Forms.RadioButton f4;
		private System.Windows.Forms.RadioButton f3;
		private System.Windows.Forms.RadioButton f2;
		private System.Windows.Forms.RadioButton f1;
		private System.Windows.Forms.RadioButton esc;
		private System.Windows.Forms.PictureBox pictureBox1;
		private TD.SandBar.SandBarManager sandBarManager1;
		private TD.SandBar.ToolBarContainer leftSandBarDock;
		private TD.SandBar.ToolBarContainer rightSandBarDock;
		private TD.SandBar.ToolBarContainer bottomSandBarDock;
		private TD.SandBar.ToolBarContainer topSandBarDock;
		private TD.SandBar.ToolBar toolBar1;
		private TD.SandBar.MenuBar menuBar1;
		private TD.SandBar.MenuButtonItem old_bindkey_option;
		private TD.SandBar.MenuButtonItem old_uncheckbuttons_option;
		private TD.SandBar.MenuButtonItem old_DeleteBind_option;
		private TD.SandBar.MenuButtonItem old_SaveExit_option;
		private TD.SandBar.MenuButtonItem old_AddSelectedBinds_option;
		private TD.SandBar.MenuButtonItem old_ClearAllBinds_option;
		private TD.SandBar.MenuButtonItem old_menuItem1;
		private TD.SandBar.MenuButtonItem old_menuItem2;
		private TD.SandBar.MenuBarItem file_menuItem;
		private TD.SandBar.MenuButtonItem save_menuItem;
		private TD.SandBar.MenuButtonItem open_menuItem;
		private TD.SandBar.MenuButtonItem exit_menuItem;
		private TD.SandBar.MenuBarItem edit_menuItem;
		private TD.SandBar.MenuButtonItem showTips_menuItem;
		private TD.SandBar.MenuBarItem help_menuItem;
		private TD.SandBar.MenuButtonItem getHelp_menuItem;
		private TD.SandBar.MenuButtonItem about_menuItem;
		private TD.SandBar.ButtonItem AddBind_button1;
		private TD.SandBar.ButtonItem DeleteBind;
		private TD.SandBar.ButtonItem NewButton;
		private TD.SandBar.ButtonItem OpenButton;
		private TD.SandBar.ButtonItem SaveButton;
		private TD.SandBar.ButtonItem AboutButton;
		private System.Windows.Forms.ContextMenu contextMenu1;
		private TD.SandBar.MenuBarItem KeyboardLayout_ContextMenu;
		private TD.SandBar.MenuBarItem CurrentBind_ContextMenu;
		private TD.SandBar.MenuBarItem BindOptions_ContextMenu;
		private TD.SandBar.MenuBarItem help_ContextMenu;
		private System.Windows.Forms.TextBox say_teamsay_textBox;
		private TD.SandBar.FlatComboBox say_teamsay_combobox;
		private System.Windows.Forms.TextBox CustomBind;
		private System.Windows.Forms.Label label2;
		private TD.SandBar.ComboBoxItem radioCommand_comboBoxItem;
		private TD.SandBar.MenuButtonItem Edit_files_menuItem;
		private TD.SandBar.MenuButtonItem config_menuItem;
		private TD.SandBar.MenuButtonItem autoexec_menuItem;
		private TD.SandBar.MenuButtonItem czbind_menuItem;
		private TD.SandBar.MenuButtonItem userConfig_menuItem;
		private TD.SandBar.MenuButtonItem give_menuItem;
		private TD.SandBar.MenuButtonItem feedback_menuItem;
		private TD.SandBar.MenuButtonItem menuButtonItem1;
		private System.ComponentModel.IContainer components;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		#endregion
		/// <summary>
		/// Default constructor for CZ Bind Maker Application
		/// </summary>
		public CZBindMakerMainForm()
		{
			#region
			// THIS STRING IS USED TO DISPLAY THE MAJOR, MINOR AND BUILD NUMBER VERSION INFORMATION IN THE VARIOUS FORMS
			applicationVersion = Assembly.GetExecutingAssembly().GetName().Version.Major.ToString()+"."+
				Assembly.GetExecutingAssembly().GetName().Version.Minor.ToString()+"."+
				Assembly.GetExecutingAssembly().GetName().Version.Build.ToString();

			Application.DoEvents();

			// CREATE A SPLASH SCREEN
			CZSplash s = new CZSplash();
			s.Show();


			// INITIALIZE FORM
			s.Action = "Initializing Components";
			this.InitializeComponent();
			
			TD.SandBar.Office2003Renderer czbmRend = new TD.SandBar.Office2003Renderer();
			czbmRend.EnableTheming = true;
			this.sandBarManager1.SetActiveRenderer(czbmRend);

			this.say_teamsay_combobox.SelectedIndex = 0;

			// READ IN USER PREFERENCES
			#region DONE
			try
			{
				this.UserPreferencesSettingContainer.Read();
			}
			catch(Exception e)
			{
				e.ToString();
			}
			#endregion

			// CHECK THE PROGRAM VERSION AND UPDATE IT IF NECESSARY
			s.Action = ""; // just for consistency purposes until we get the version control stuff done.
#if CHECK_VERSION	
			s.Action = "Checking For Updates";
			this.CheckVersion();
#endif

			// LOAD THE PATHS TO THE CONFIG FILES
			s.Action = "Loading Data";
			this.InitializeData();
			this.Text = "   CZ Bind Maker For Counter-Strike 1.6                 Version "+applicationVersion;
			s.Dispose();
			s = null;
			#endregion
		}
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			#region
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			if(this.CZBindToolTip.Active == false)
				this.ToolTipsEnabled.CurrentValue = "false";
			this.UserPreferencesSettingContainer.Write();
			this.m_rKey.Close();
			base.Dispose( disposing );
			#endregion
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(CZBindMakerMainForm));
			this.ConfigFileFinder = new System.Windows.Forms.OpenFileDialog();
			this.ConsoleColorPicker = new System.Windows.Forms.ColorDialog();
			this.KeyBoardImageList = new System.Windows.Forms.ImageList(this.components);
			this.weaponImageList = new System.Windows.Forms.ImageList(this.components);
			this.UserPreferencesSettingContainer = new PrivateSettings.SettingContainer(this.components);
			this.ToolTipsEnabled = new PrivateSettings.Setting(this.components);
			this.ConfigFilePath = new PrivateSettings.Setting(this.components);
			this.BindFilePath = new PrivateSettings.Setting(this.components);
			this.UserConfigPath = new PrivateSettings.Setting(this.components);
			this.ToggleAutoUpdate = new PrivateSettings.Setting(this.components);
			this.CZBindToolTip = new System.Windows.Forms.ToolTip(this.components);
			this.rate = new System.Windows.Forms.NumericUpDown();
			this.label14 = new System.Windows.Forms.Label();
			this.cl_righthand = new System.Windows.Forms.CheckBox();
			this._cl_autoweaponswitch = new System.Windows.Forms.CheckBox();
			this._vgui_menus = new System.Windows.Forms.CheckBox();
			this.net_grappos_2 = new System.Windows.Forms.RadioButton();
			this.net_grappos_1 = new System.Windows.Forms.RadioButton();
			this.net_grappos_3 = new System.Windows.Forms.RadioButton();
			this.Fps_Range = new System.Windows.Forms.NumericUpDown();
			this.cl_weather = new System.Windows.Forms.CheckBox();
			this.hud_fastswitch = new System.Windows.Forms.CheckBox();
			this.hud_centerID = new System.Windows.Forms.CheckBox();
			this.net_graph_0 = new System.Windows.Forms.RadioButton();
			this.net_graph_3 = new System.Windows.Forms.RadioButton();
			this.net_graph_2 = new System.Windows.Forms.RadioButton();
			this.net_graph_1 = new System.Windows.Forms.RadioButton();
			this.DynamicCrossHairs = new System.Windows.Forms.CheckBox();
			this.label4 = new System.Windows.Forms.Label();
			this.PlayerName = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.consolecolor = new System.Windows.Forms.Button();
			this.consoleColorSample = new System.Windows.Forms.Label();
			this.CurrentBind_ListBox = new System.Windows.Forms.ListBox();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.unuseableButton6 = new System.Windows.Forms.RadioButton();
			this.unuseableButton5 = new System.Windows.Forms.RadioButton();
			this.unuseableButton4 = new System.Windows.Forms.RadioButton();
			this.unuseableButton3 = new System.Windows.Forms.RadioButton();
			this.unuseableButton2 = new System.Windows.Forms.RadioButton();
			this.unuseableButton1 = new System.Windows.Forms.RadioButton();
			this.kp_0 = new System.Windows.Forms.RadioButton();
			this.kp_dot = new System.Windows.Forms.RadioButton();
			this.kp_rtn = new System.Windows.Forms.RadioButton();
			this.kp_3 = new System.Windows.Forms.RadioButton();
			this.kp_2 = new System.Windows.Forms.RadioButton();
			this.kp_1 = new System.Windows.Forms.RadioButton();
			this.kp_6 = new System.Windows.Forms.RadioButton();
			this.kp_5 = new System.Windows.Forms.RadioButton();
			this.kp_4 = new System.Windows.Forms.RadioButton();
			this.kp_plus = new System.Windows.Forms.RadioButton();
			this.kp_9 = new System.Windows.Forms.RadioButton();
			this.kp_8 = new System.Windows.Forms.RadioButton();
			this.kp_7 = new System.Windows.Forms.RadioButton();
			this.kp_dash = new System.Windows.Forms.RadioButton();
			this.astrisk = new System.Windows.Forms.RadioButton();
			this.kp_forwardslash = new System.Windows.Forms.RadioButton();
			this.pause = new System.Windows.Forms.RadioButton();
			this.rightarrow = new System.Windows.Forms.RadioButton();
			this.leftarrow = new System.Windows.Forms.RadioButton();
			this.downarrow = new System.Windows.Forms.RadioButton();
			this.uparrow = new System.Windows.Forms.RadioButton();
			this.pagedown = new System.Windows.Forms.RadioButton();
			this.end = new System.Windows.Forms.RadioButton();
			this.del = new System.Windows.Forms.RadioButton();
			this.pageup = new System.Windows.Forms.RadioButton();
			this.home = new System.Windows.Forms.RadioButton();
			this.ins = new System.Windows.Forms.RadioButton();
			this.rctrl = new System.Windows.Forms.RadioButton();
			this.ralt = new System.Windows.Forms.RadioButton();
			this.space = new System.Windows.Forms.RadioButton();
			this.lalt = new System.Windows.Forms.RadioButton();
			this.lctrl = new System.Windows.Forms.RadioButton();
			this.rshift = new System.Windows.Forms.RadioButton();
			this.forwardslash = new System.Windows.Forms.RadioButton();
			this.closed_tag = new System.Windows.Forms.RadioButton();
			this.open_tag = new System.Windows.Forms.RadioButton();
			this.mkey = new System.Windows.Forms.RadioButton();
			this.nkey = new System.Windows.Forms.RadioButton();
			this.bkey = new System.Windows.Forms.RadioButton();
			this.vkey = new System.Windows.Forms.RadioButton();
			this.ckey = new System.Windows.Forms.RadioButton();
			this.xkey = new System.Windows.Forms.RadioButton();
			this.zkey = new System.Windows.Forms.RadioButton();
			this.lshift = new System.Windows.Forms.RadioButton();
			this.enter = new System.Windows.Forms.RadioButton();
			this.quotes = new System.Windows.Forms.RadioButton();
			this.semicol = new System.Windows.Forms.RadioButton();
			this.lkey = new System.Windows.Forms.RadioButton();
			this.kkey = new System.Windows.Forms.RadioButton();
			this.jkey = new System.Windows.Forms.RadioButton();
			this.hkey = new System.Windows.Forms.RadioButton();
			this.gkey = new System.Windows.Forms.RadioButton();
			this.fkey = new System.Windows.Forms.RadioButton();
			this.dkey = new System.Windows.Forms.RadioButton();
			this.skey = new System.Windows.Forms.RadioButton();
			this.akey = new System.Windows.Forms.RadioButton();
			this.caps = new System.Windows.Forms.RadioButton();
			this.backslash = new System.Windows.Forms.RadioButton();
			this.closed_square_brace_key = new System.Windows.Forms.RadioButton();
			this.open_square_brace_key = new System.Windows.Forms.RadioButton();
			this.pkey = new System.Windows.Forms.RadioButton();
			this.okey = new System.Windows.Forms.RadioButton();
			this.ikey = new System.Windows.Forms.RadioButton();
			this.ukey = new System.Windows.Forms.RadioButton();
			this.ykey = new System.Windows.Forms.RadioButton();
			this.tkey = new System.Windows.Forms.RadioButton();
			this.rkey = new System.Windows.Forms.RadioButton();
			this.ekey = new System.Windows.Forms.RadioButton();
			this.wkey = new System.Windows.Forms.RadioButton();
			this.qkey = new System.Windows.Forms.RadioButton();
			this.tab = new System.Windows.Forms.RadioButton();
			this.backspace = new System.Windows.Forms.RadioButton();
			this.equals = new System.Windows.Forms.RadioButton();
			this.dash = new System.Windows.Forms.RadioButton();
			this.zero = new System.Windows.Forms.RadioButton();
			this.nine = new System.Windows.Forms.RadioButton();
			this.eight = new System.Windows.Forms.RadioButton();
			this.seven = new System.Windows.Forms.RadioButton();
			this.six = new System.Windows.Forms.RadioButton();
			this.five = new System.Windows.Forms.RadioButton();
			this.four = new System.Windows.Forms.RadioButton();
			this.three = new System.Windows.Forms.RadioButton();
			this.two = new System.Windows.Forms.RadioButton();
			this.one = new System.Windows.Forms.RadioButton();
			this.tilda = new System.Windows.Forms.RadioButton();
			this.f12 = new System.Windows.Forms.RadioButton();
			this.f11 = new System.Windows.Forms.RadioButton();
			this.f10 = new System.Windows.Forms.RadioButton();
			this.f9 = new System.Windows.Forms.RadioButton();
			this.f8 = new System.Windows.Forms.RadioButton();
			this.f7 = new System.Windows.Forms.RadioButton();
			this.f6 = new System.Windows.Forms.RadioButton();
			this.f5 = new System.Windows.Forms.RadioButton();
			this.f4 = new System.Windows.Forms.RadioButton();
			this.f3 = new System.Windows.Forms.RadioButton();
			this.f2 = new System.Windows.Forms.RadioButton();
			this.f1 = new System.Windows.Forms.RadioButton();
			this.esc = new System.Windows.Forms.RadioButton();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.binds_tabPage = new System.Windows.Forms.TabPage();
			this.BindOptions_ListBox = new System.Windows.Forms.CheckedListBox();
			this.config_tabPage = new System.Windows.Forms.TabPage();
			this.groupBox3 = new System.Windows.Forms.GroupBox();
			this.net_graph_GroupBox = new System.Windows.Forms.GroupBox();
			this.say_teamsay_textBox = new System.Windows.Forms.TextBox();
			this.say_teamsay_combobox = new TD.SandBar.FlatComboBox();
			this.CustomBind = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.ContextMenuImageList = new System.Windows.Forms.ImageList(this.components);
			this.MainMenuimageList = new System.Windows.Forms.ImageList(this.components);
			this.panel1 = new System.Windows.Forms.Panel();
			this.main_tabControl = new System.Windows.Forms.TabControl();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.sandBarManager1 = new TD.SandBar.SandBarManager();
			this.bottomSandBarDock = new TD.SandBar.ToolBarContainer();
			this.leftSandBarDock = new TD.SandBar.ToolBarContainer();
			this.rightSandBarDock = new TD.SandBar.ToolBarContainer();
			this.topSandBarDock = new TD.SandBar.ToolBarContainer();
			this.menuBar1 = new TD.SandBar.MenuBar();
			this.CurrentBind_ContextMenu = new TD.SandBar.MenuBarItem();
			this.old_DeleteBind_option = new TD.SandBar.MenuButtonItem();
			this.old_SaveExit_option = new TD.SandBar.MenuButtonItem();
			this.KeyboardLayout_ContextMenu = new TD.SandBar.MenuBarItem();
			this.old_bindkey_option = new TD.SandBar.MenuButtonItem();
			this.old_uncheckbuttons_option = new TD.SandBar.MenuButtonItem();
			this.BindOptions_ContextMenu = new TD.SandBar.MenuBarItem();
			this.old_AddSelectedBinds_option = new TD.SandBar.MenuButtonItem();
			this.old_ClearAllBinds_option = new TD.SandBar.MenuButtonItem();
			this.file_menuItem = new TD.SandBar.MenuBarItem();
			this.save_menuItem = new TD.SandBar.MenuButtonItem();
			this.open_menuItem = new TD.SandBar.MenuButtonItem();
			this.exit_menuItem = new TD.SandBar.MenuButtonItem();
			this.edit_menuItem = new TD.SandBar.MenuBarItem();
			this.Edit_files_menuItem = new TD.SandBar.MenuButtonItem();
			this.config_menuItem = new TD.SandBar.MenuButtonItem();
			this.autoexec_menuItem = new TD.SandBar.MenuButtonItem();
			this.userConfig_menuItem = new TD.SandBar.MenuButtonItem();
			this.czbind_menuItem = new TD.SandBar.MenuButtonItem();
			this.give_menuItem = new TD.SandBar.MenuButtonItem();
			this.feedback_menuItem = new TD.SandBar.MenuButtonItem();
			this.menuButtonItem1 = new TD.SandBar.MenuButtonItem();
			this.showTips_menuItem = new TD.SandBar.MenuButtonItem();
			this.help_menuItem = new TD.SandBar.MenuBarItem();
			this.getHelp_menuItem = new TD.SandBar.MenuButtonItem();
			this.about_menuItem = new TD.SandBar.MenuButtonItem();
			this.help_ContextMenu = new TD.SandBar.MenuBarItem();
			this.old_menuItem1 = new TD.SandBar.MenuButtonItem();
			this.old_menuItem2 = new TD.SandBar.MenuButtonItem();
			this.toolBar1 = new TD.SandBar.ToolBar();
			this.NewButton = new TD.SandBar.ButtonItem();
			this.OpenButton = new TD.SandBar.ButtonItem();
			this.AboutButton = new TD.SandBar.ButtonItem();
			this.DeleteBind = new TD.SandBar.ButtonItem();
			this.AddBind_button1 = new TD.SandBar.ButtonItem();
			this.SaveButton = new TD.SandBar.ButtonItem();
			this.radioCommand_comboBoxItem = new TD.SandBar.ComboBoxItem();
			this.contextMenu1 = new System.Windows.Forms.ContextMenu();
			((System.ComponentModel.ISupportInitialize)(this.rate)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.Fps_Range)).BeginInit();
			this.groupBox1.SuspendLayout();
			this.binds_tabPage.SuspendLayout();
			this.config_tabPage.SuspendLayout();
			this.groupBox3.SuspendLayout();
			this.net_graph_GroupBox.SuspendLayout();
			this.panel1.SuspendLayout();
			this.main_tabControl.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.topSandBarDock.SuspendLayout();
			this.SuspendLayout();
			// 
			// ConfigFileFinder
			// 
			this.ConfigFileFinder.FileName = "config.cfg";
			this.ConfigFileFinder.Filter = "Config files | *.cfg";
			this.ConfigFileFinder.Title = " Locate Your Counter-Strike 1.6 Config.cfg File";
			// 
			// ConsoleColorPicker
			// 
			this.ConsoleColorPicker.AnyColor = true;
			this.ConsoleColorPicker.FullOpen = true;
			this.ConsoleColorPicker.ShowHelp = true;
			// 
			// KeyBoardImageList
			// 
			this.KeyBoardImageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.KeyBoardImageList.ImageSize = new System.Drawing.Size(16, 16);
			this.KeyBoardImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("KeyBoardImageList.ImageStream")));
			this.KeyBoardImageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// weaponImageList
			// 
			this.weaponImageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.weaponImageList.ImageSize = new System.Drawing.Size(16, 16);
			this.weaponImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("weaponImageList.ImageStream")));
			this.weaponImageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// UserPreferencesSettingContainer
			// 
			this.UserPreferencesSettingContainer.EncryptedStorage = true;
			this.UserPreferencesSettingContainer.FileName = "settings.xml";
			this.UserPreferencesSettingContainer.IsolatedStorage = true;
			// 
			// ToolTipsEnabled
			// 
			this.ToolTipsEnabled.CurrentValue = "";
			this.ToolTipsEnabled.DefaultValue = "";
			this.ToolTipsEnabled.StorageKey = "";
			// 
			// ConfigFilePath
			// 
			this.ConfigFilePath.CurrentValue = "";
			this.ConfigFilePath.DefaultValue = "";
			this.ConfigFilePath.StorageKey = "";
			// 
			// BindFilePath
			// 
			this.BindFilePath.CurrentValue = "";
			this.BindFilePath.DefaultValue = "";
			this.BindFilePath.StorageKey = "";
			// 
			// UserConfigPath
			// 
			this.UserConfigPath.CurrentValue = "";
			this.UserConfigPath.DefaultValue = "";
			this.UserConfigPath.StorageKey = "";
			// 
			// ToggleAutoUpdate
			// 
			this.ToggleAutoUpdate.CurrentValue = "";
			this.ToggleAutoUpdate.DefaultValue = "";
			this.ToggleAutoUpdate.StorageKey = "";
			// 
			// rate
			// 
			this.rate.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.rate.Location = new System.Drawing.Point(328, 208);
			this.rate.Maximum = new System.Decimal(new int[] {
																 9999,
																 0,
																 0,
																 0});
			this.rate.Minimum = new System.Decimal(new int[] {
																 1500,
																 0,
																 0,
																 0});
			this.rate.Name = "rate";
			this.rate.Size = new System.Drawing.Size(56, 20);
			this.rate.TabIndex = 63;
			this.CZBindToolTip.SetToolTip(this.rate, "Sets the rate at which you send and recieve information to and from the server");
			this.rate.Value = new System.Decimal(new int[] {
															   2500,
															   0,
															   0,
															   0});
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(296, 208);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(32, 16);
			this.label14.TabIndex = 62;
			this.label14.Text = "Rate";
			this.CZBindToolTip.SetToolTip(this.label14, "Sets the rate at which you send and recieve information to and from the server");
			// 
			// cl_righthand
			// 
			this.cl_righthand.Checked = true;
			this.cl_righthand.CheckState = System.Windows.Forms.CheckState.Checked;
			this.cl_righthand.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.cl_righthand.Location = new System.Drawing.Point(16, 232);
			this.cl_righthand.Name = "cl_righthand";
			this.cl_righthand.Size = new System.Drawing.Size(160, 16);
			this.cl_righthand.TabIndex = 61;
			this.cl_righthand.Text = "Right Handed Player Model";
			this.CZBindToolTip.SetToolTip(this.cl_righthand, "Uncheck to use a left handed model");
			// 
			// _cl_autoweaponswitch
			// 
			this._cl_autoweaponswitch.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this._cl_autoweaponswitch.Location = new System.Drawing.Point(16, 200);
			this._cl_autoweaponswitch.Name = "_cl_autoweaponswitch";
			this._cl_autoweaponswitch.Size = new System.Drawing.Size(152, 16);
			this._cl_autoweaponswitch.TabIndex = 60;
			this._cl_autoweaponswitch.Text = "Use Auto-Weapon Switch";
			this.CZBindToolTip.SetToolTip(this._cl_autoweaponswitch, "This will automatically switch to weapons that you pick up \nwhich are greater tha" +
				"n weapons you currently have");
			// 
			// _vgui_menus
			// 
			this._vgui_menus.Checked = true;
			this._vgui_menus.CheckState = System.Windows.Forms.CheckState.Checked;
			this._vgui_menus.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this._vgui_menus.Location = new System.Drawing.Point(16, 216);
			this._vgui_menus.Name = "_vgui_menus";
			this._vgui_menus.Size = new System.Drawing.Size(72, 16);
			this._vgui_menus.TabIndex = 59;
			this._vgui_menus.Text = "Use vGui";
			this.CZBindToolTip.SetToolTip(this._vgui_menus, "Uncheck to use old text menus");
			// 
			// net_grappos_2
			// 
			this.net_grappos_2.Appearance = System.Windows.Forms.Appearance.Button;
			this.net_grappos_2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.net_grappos_2.Location = new System.Drawing.Point(74, 16);
			this.net_grappos_2.Name = "net_grappos_2";
			this.net_grappos_2.Size = new System.Drawing.Size(44, 16);
			this.net_grappos_2.TabIndex = 2;
			this.net_grappos_2.Text = "Middle";
			this.net_grappos_2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.CZBindToolTip.SetToolTip(this.net_grappos_2, "The Net Graph will be positioned at the bottom middle of the screen");
			// 
			// net_grappos_1
			// 
			this.net_grappos_1.Appearance = System.Windows.Forms.Appearance.Button;
			this.net_grappos_1.Checked = true;
			this.net_grappos_1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.net_grappos_1.Location = new System.Drawing.Point(128, 16);
			this.net_grappos_1.Name = "net_grappos_1";
			this.net_grappos_1.Size = new System.Drawing.Size(48, 16);
			this.net_grappos_1.TabIndex = 1;
			this.net_grappos_1.TabStop = true;
			this.net_grappos_1.Text = "Right";
			this.net_grappos_1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.CZBindToolTip.SetToolTip(this.net_grappos_1, "The Net Graph will be positioned at the bottom right hand corner of the screen");
			// 
			// net_grappos_3
			// 
			this.net_grappos_3.Appearance = System.Windows.Forms.Appearance.Button;
			this.net_grappos_3.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.net_grappos_3.Location = new System.Drawing.Point(16, 16);
			this.net_grappos_3.Name = "net_grappos_3";
			this.net_grappos_3.Size = new System.Drawing.Size(48, 16);
			this.net_grappos_3.TabIndex = 0;
			this.net_grappos_3.Text = "Left";
			this.net_grappos_3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.CZBindToolTip.SetToolTip(this.net_grappos_3, "The Net Graph will be positioned at the bottom left hand corner of the screen");
			// 
			// Fps_Range
			// 
			this.Fps_Range.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.Fps_Range.Location = new System.Drawing.Point(328, 184);
			this.Fps_Range.Maximum = new System.Decimal(new int[] {
																	  255,
																	  0,
																	  0,
																	  0});
			this.Fps_Range.Minimum = new System.Decimal(new int[] {
																	  1,
																	  0,
																	  0,
																	  0});
			this.Fps_Range.Name = "Fps_Range";
			this.Fps_Range.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.Fps_Range.Size = new System.Drawing.Size(56, 20);
			this.Fps_Range.TabIndex = 52;
			this.CZBindToolTip.SetToolTip(this.Fps_Range, "Sets the maximum viewable frames per second");
			this.Fps_Range.Value = new System.Decimal(new int[] {
																	100,
																	0,
																	0,
																	0});
			// 
			// cl_weather
			// 
			this.cl_weather.Checked = true;
			this.cl_weather.CheckState = System.Windows.Forms.CheckState.Checked;
			this.cl_weather.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.cl_weather.Location = new System.Drawing.Point(16, 136);
			this.cl_weather.Name = "cl_weather";
			this.cl_weather.Size = new System.Drawing.Size(152, 16);
			this.cl_weather.TabIndex = 57;
			this.cl_weather.Text = "Show the Maps\' Weather";
			this.CZBindToolTip.SetToolTip(this.cl_weather, "This Allows you to toggle the current maps weather conditions on or off\nEX: de_az" +
				"tec\'s fog and rain");
			// 
			// hud_fastswitch
			// 
			this.hud_fastswitch.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.hud_fastswitch.Location = new System.Drawing.Point(16, 168);
			this.hud_fastswitch.Name = "hud_fastswitch";
			this.hud_fastswitch.Size = new System.Drawing.Size(136, 16);
			this.hud_fastswitch.TabIndex = 56;
			this.hud_fastswitch.Text = "Use Fast Switch";
			this.CZBindToolTip.SetToolTip(this.hud_fastswitch, "Scrolling through inventory causes the item to be selected");
			// 
			// hud_centerID
			// 
			this.hud_centerID.Checked = true;
			this.hud_centerID.CheckState = System.Windows.Forms.CheckState.Checked;
			this.hud_centerID.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.hud_centerID.Location = new System.Drawing.Point(16, 184);
			this.hud_centerID.Name = "hud_centerID";
			this.hud_centerID.Size = new System.Drawing.Size(184, 16);
			this.hud_centerID.TabIndex = 55;
			this.hud_centerID.Text = "Center Player Names on Screen";
			this.CZBindToolTip.SetToolTip(this.hud_centerID, "puts the players name near crosshairs if selected\nOtherwise it will be located at" +
				" the bottom of the screen");
			// 
			// net_graph_0
			// 
			this.net_graph_0.Checked = true;
			this.net_graph_0.Image = ((System.Drawing.Image)(resources.GetObject("net_graph_0.Image")));
			this.net_graph_0.Location = new System.Drawing.Point(10, 16);
			this.net_graph_0.Name = "net_graph_0";
			this.net_graph_0.Size = new System.Drawing.Size(37, 48);
			this.net_graph_0.TabIndex = 3;
			this.net_graph_0.TabStop = true;
			this.net_graph_0.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			this.CZBindToolTip.SetToolTip(this.net_graph_0, "Select No Net Graph");
			// 
			// net_graph_3
			// 
			this.net_graph_3.BackColor = System.Drawing.SystemColors.Control;
			this.net_graph_3.Image = ((System.Drawing.Image)(resources.GetObject("net_graph_3.Image")));
			this.net_graph_3.Location = new System.Drawing.Point(271, 16);
			this.net_graph_3.Name = "net_graph_3";
			this.net_graph_3.Size = new System.Drawing.Size(87, 48);
			this.net_graph_3.TabIndex = 2;
			this.CZBindToolTip.SetToolTip(this.net_graph_3, "The Net Graph will look like this");
			// 
			// net_graph_2
			// 
			this.net_graph_2.BackColor = System.Drawing.SystemColors.Control;
			this.net_graph_2.Image = ((System.Drawing.Image)(resources.GetObject("net_graph_2.Image")));
			this.net_graph_2.Location = new System.Drawing.Point(170, 16);
			this.net_graph_2.Name = "net_graph_2";
			this.net_graph_2.Size = new System.Drawing.Size(85, 48);
			this.net_graph_2.TabIndex = 1;
			this.CZBindToolTip.SetToolTip(this.net_graph_2, "The Net Graph will look like this");
			// 
			// net_graph_1
			// 
			this.net_graph_1.BackColor = System.Drawing.SystemColors.Control;
			this.net_graph_1.Image = ((System.Drawing.Image)(resources.GetObject("net_graph_1.Image")));
			this.net_graph_1.Location = new System.Drawing.Point(63, 16);
			this.net_graph_1.Name = "net_graph_1";
			this.net_graph_1.Size = new System.Drawing.Size(91, 48);
			this.net_graph_1.TabIndex = 0;
			this.CZBindToolTip.SetToolTip(this.net_graph_1, "The Net Graph will look like this");
			// 
			// DynamicCrossHairs
			// 
			this.DynamicCrossHairs.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.DynamicCrossHairs.Location = new System.Drawing.Point(16, 152);
			this.DynamicCrossHairs.Name = "DynamicCrossHairs";
			this.DynamicCrossHairs.Size = new System.Drawing.Size(152, 16);
			this.DynamicCrossHairs.TabIndex = 53;
			this.DynamicCrossHairs.Text = "Use Dynamic Cross Hair";
			this.CZBindToolTip.SetToolTip(this.DynamicCrossHairs, "Toggles the use of a dynamic crosshair.\n(crosshair will shrink/expand when runnin" +
				"g if enabled)");
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(200, 184);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(136, 16);
			this.label4.TabIndex = 51;
			this.label4.Text = "Frames Per Second Max";
			this.CZBindToolTip.SetToolTip(this.label4, "Sets the maximum viewable frames per second");
			// 
			// PlayerName
			// 
			this.PlayerName.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.PlayerName.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.World);
			this.PlayerName.Location = new System.Drawing.Point(80, 8);
			this.PlayerName.Name = "PlayerName";
			this.PlayerName.Size = new System.Drawing.Size(304, 21);
			this.PlayerName.TabIndex = 50;
			this.PlayerName.Text = "";
			this.CZBindToolTip.SetToolTip(this.PlayerName, "Set Your User/Player Name");
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(64, 16);
			this.label1.TabIndex = 49;
			this.label1.Text = "User Name";
			this.CZBindToolTip.SetToolTip(this.label1, "Set Your User/Player Name");
			// 
			// consolecolor
			// 
			this.consolecolor.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.consolecolor.Location = new System.Drawing.Point(296, 32);
			this.consolecolor.Name = "consolecolor";
			this.consolecolor.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.consolecolor.Size = new System.Drawing.Size(88, 24);
			this.consolecolor.TabIndex = 48;
			this.consolecolor.Text = "Change Colors";
			this.CZBindToolTip.SetToolTip(this.consolecolor, "Click here to change the color of your in game text");
			this.consolecolor.Click += new System.EventHandler(this.Consolecolor_Click);
			// 
			// consoleColorSample
			// 
			this.consoleColorSample.BackColor = System.Drawing.Color.Black;
			this.consoleColorSample.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.World);
			this.consoleColorSample.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.consoleColorSample.Location = new System.Drawing.Point(16, 32);
			this.consoleColorSample.Name = "consoleColorSample";
			this.consoleColorSample.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.consoleColorSample.Size = new System.Drawing.Size(272, 24);
			this.consoleColorSample.TabIndex = 47;
			this.consoleColorSample.Text = "Sample Counter-Strike In-Game Text Color";
			this.CZBindToolTip.SetToolTip(this.consoleColorSample, "This is a sample of your in game text color");
			// 
			// CurrentBind_ListBox
			// 
			this.CurrentBind_ListBox.BackColor = System.Drawing.Color.White;
			this.CurrentBind_ListBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.CurrentBind_ListBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.CurrentBind_ListBox.ForeColor = System.Drawing.Color.Black;
			this.CurrentBind_ListBox.HorizontalScrollbar = true;
			this.CurrentBind_ListBox.Location = new System.Drawing.Point(3, 16);
			this.CurrentBind_ListBox.Name = "CurrentBind_ListBox";
			this.menuBar1.SetSandBarMenu(this.CurrentBind_ListBox, this.CurrentBind_ContextMenu);
			this.CurrentBind_ListBox.Size = new System.Drawing.Size(378, 286);
			this.CurrentBind_ListBox.Sorted = true;
			this.CurrentBind_ListBox.TabIndex = 0;
			this.CurrentBind_ListBox.Tag = "Current Bind Settings";
			this.CZBindToolTip.SetToolTip(this.CurrentBind_ListBox, "This is all of your current custom binds");
			// 
			// groupBox1
			// 
			this.groupBox1.BackColor = System.Drawing.SystemColors.Control;
			this.groupBox1.Controls.Add(this.unuseableButton6);
			this.groupBox1.Controls.Add(this.unuseableButton5);
			this.groupBox1.Controls.Add(this.unuseableButton4);
			this.groupBox1.Controls.Add(this.unuseableButton3);
			this.groupBox1.Controls.Add(this.unuseableButton2);
			this.groupBox1.Controls.Add(this.unuseableButton1);
			this.groupBox1.Controls.Add(this.kp_0);
			this.groupBox1.Controls.Add(this.kp_dot);
			this.groupBox1.Controls.Add(this.kp_rtn);
			this.groupBox1.Controls.Add(this.kp_3);
			this.groupBox1.Controls.Add(this.kp_2);
			this.groupBox1.Controls.Add(this.kp_1);
			this.groupBox1.Controls.Add(this.kp_6);
			this.groupBox1.Controls.Add(this.kp_5);
			this.groupBox1.Controls.Add(this.kp_4);
			this.groupBox1.Controls.Add(this.kp_plus);
			this.groupBox1.Controls.Add(this.kp_9);
			this.groupBox1.Controls.Add(this.kp_8);
			this.groupBox1.Controls.Add(this.kp_7);
			this.groupBox1.Controls.Add(this.kp_dash);
			this.groupBox1.Controls.Add(this.astrisk);
			this.groupBox1.Controls.Add(this.kp_forwardslash);
			this.groupBox1.Controls.Add(this.pause);
			this.groupBox1.Controls.Add(this.rightarrow);
			this.groupBox1.Controls.Add(this.leftarrow);
			this.groupBox1.Controls.Add(this.downarrow);
			this.groupBox1.Controls.Add(this.uparrow);
			this.groupBox1.Controls.Add(this.pagedown);
			this.groupBox1.Controls.Add(this.end);
			this.groupBox1.Controls.Add(this.del);
			this.groupBox1.Controls.Add(this.pageup);
			this.groupBox1.Controls.Add(this.home);
			this.groupBox1.Controls.Add(this.ins);
			this.groupBox1.Controls.Add(this.rctrl);
			this.groupBox1.Controls.Add(this.ralt);
			this.groupBox1.Controls.Add(this.space);
			this.groupBox1.Controls.Add(this.lalt);
			this.groupBox1.Controls.Add(this.lctrl);
			this.groupBox1.Controls.Add(this.rshift);
			this.groupBox1.Controls.Add(this.forwardslash);
			this.groupBox1.Controls.Add(this.closed_tag);
			this.groupBox1.Controls.Add(this.open_tag);
			this.groupBox1.Controls.Add(this.mkey);
			this.groupBox1.Controls.Add(this.nkey);
			this.groupBox1.Controls.Add(this.bkey);
			this.groupBox1.Controls.Add(this.vkey);
			this.groupBox1.Controls.Add(this.ckey);
			this.groupBox1.Controls.Add(this.xkey);
			this.groupBox1.Controls.Add(this.zkey);
			this.groupBox1.Controls.Add(this.lshift);
			this.groupBox1.Controls.Add(this.enter);
			this.groupBox1.Controls.Add(this.quotes);
			this.groupBox1.Controls.Add(this.semicol);
			this.groupBox1.Controls.Add(this.lkey);
			this.groupBox1.Controls.Add(this.kkey);
			this.groupBox1.Controls.Add(this.jkey);
			this.groupBox1.Controls.Add(this.hkey);
			this.groupBox1.Controls.Add(this.gkey);
			this.groupBox1.Controls.Add(this.fkey);
			this.groupBox1.Controls.Add(this.dkey);
			this.groupBox1.Controls.Add(this.skey);
			this.groupBox1.Controls.Add(this.akey);
			this.groupBox1.Controls.Add(this.caps);
			this.groupBox1.Controls.Add(this.backslash);
			this.groupBox1.Controls.Add(this.closed_square_brace_key);
			this.groupBox1.Controls.Add(this.open_square_brace_key);
			this.groupBox1.Controls.Add(this.pkey);
			this.groupBox1.Controls.Add(this.okey);
			this.groupBox1.Controls.Add(this.ikey);
			this.groupBox1.Controls.Add(this.ukey);
			this.groupBox1.Controls.Add(this.ykey);
			this.groupBox1.Controls.Add(this.tkey);
			this.groupBox1.Controls.Add(this.rkey);
			this.groupBox1.Controls.Add(this.ekey);
			this.groupBox1.Controls.Add(this.wkey);
			this.groupBox1.Controls.Add(this.qkey);
			this.groupBox1.Controls.Add(this.tab);
			this.groupBox1.Controls.Add(this.backspace);
			this.groupBox1.Controls.Add(this.equals);
			this.groupBox1.Controls.Add(this.dash);
			this.groupBox1.Controls.Add(this.zero);
			this.groupBox1.Controls.Add(this.nine);
			this.groupBox1.Controls.Add(this.eight);
			this.groupBox1.Controls.Add(this.seven);
			this.groupBox1.Controls.Add(this.six);
			this.groupBox1.Controls.Add(this.five);
			this.groupBox1.Controls.Add(this.four);
			this.groupBox1.Controls.Add(this.three);
			this.groupBox1.Controls.Add(this.two);
			this.groupBox1.Controls.Add(this.one);
			this.groupBox1.Controls.Add(this.tilda);
			this.groupBox1.Controls.Add(this.f12);
			this.groupBox1.Controls.Add(this.f11);
			this.groupBox1.Controls.Add(this.f10);
			this.groupBox1.Controls.Add(this.f9);
			this.groupBox1.Controls.Add(this.f8);
			this.groupBox1.Controls.Add(this.f7);
			this.groupBox1.Controls.Add(this.f6);
			this.groupBox1.Controls.Add(this.f5);
			this.groupBox1.Controls.Add(this.f4);
			this.groupBox1.Controls.Add(this.f3);
			this.groupBox1.Controls.Add(this.f2);
			this.groupBox1.Controls.Add(this.f1);
			this.groupBox1.Controls.Add(this.esc);
			this.groupBox1.Controls.Add(this.pictureBox1);
			this.groupBox1.Location = new System.Drawing.Point(8, 352);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.menuBar1.SetSandBarMenu(this.groupBox1, this.KeyboardLayout_ContextMenu);
			this.groupBox1.Size = new System.Drawing.Size(784, 248);
			this.groupBox1.TabIndex = 30;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "Keyboard Layout";
			this.CZBindToolTip.SetToolTip(this.groupBox1, "Select keys to bind");
			// 
			// unuseableButton6
			// 
			this.unuseableButton6.Appearance = System.Windows.Forms.Appearance.Button;
			this.unuseableButton6.Enabled = false;
			this.unuseableButton6.Location = new System.Drawing.Point(552, 24);
			this.unuseableButton6.Name = "unuseableButton6";
			this.unuseableButton6.Size = new System.Drawing.Size(32, 32);
			this.unuseableButton6.TabIndex = 105;
			this.unuseableButton6.Text = "S/L";
			this.unuseableButton6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// unuseableButton5
			// 
			this.unuseableButton5.Appearance = System.Windows.Forms.Appearance.Button;
			this.unuseableButton5.Enabled = false;
			this.unuseableButton5.Location = new System.Drawing.Point(520, 24);
			this.unuseableButton5.Name = "unuseableButton5";
			this.unuseableButton5.Size = new System.Drawing.Size(32, 32);
			this.unuseableButton5.TabIndex = 104;
			this.unuseableButton5.Text = "P/S";
			this.unuseableButton5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// unuseableButton4
			// 
			this.unuseableButton4.Appearance = System.Windows.Forms.Appearance.Button;
			this.unuseableButton4.Enabled = false;
			this.unuseableButton4.Font = new System.Drawing.Font("Microsoft Sans Serif", 7F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.unuseableButton4.Location = new System.Drawing.Point(640, 72);
			this.unuseableButton4.Name = "unuseableButton4";
			this.unuseableButton4.Size = new System.Drawing.Size(32, 32);
			this.unuseableButton4.TabIndex = 103;
			this.unuseableButton4.Text = "Num";
			this.unuseableButton4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// unuseableButton3
			// 
			this.unuseableButton3.Appearance = System.Windows.Forms.Appearance.Button;
			this.unuseableButton3.Enabled = false;
			this.unuseableButton3.Image = ((System.Drawing.Image)(resources.GetObject("unuseableButton3.Image")));
			this.unuseableButton3.Location = new System.Drawing.Point(400, 200);
			this.unuseableButton3.Name = "unuseableButton3";
			this.unuseableButton3.Size = new System.Drawing.Size(32, 32);
			this.unuseableButton3.TabIndex = 102;
			this.unuseableButton3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// unuseableButton2
			// 
			this.unuseableButton2.Appearance = System.Windows.Forms.Appearance.Button;
			this.unuseableButton2.Enabled = false;
			this.unuseableButton2.Image = ((System.Drawing.Image)(resources.GetObject("unuseableButton2.Image")));
			this.unuseableButton2.Location = new System.Drawing.Point(368, 200);
			this.unuseableButton2.Name = "unuseableButton2";
			this.unuseableButton2.Size = new System.Drawing.Size(32, 32);
			this.unuseableButton2.TabIndex = 101;
			this.unuseableButton2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// unuseableButton1
			// 
			this.unuseableButton1.Appearance = System.Windows.Forms.Appearance.Button;
			this.unuseableButton1.Enabled = false;
			this.unuseableButton1.Image = ((System.Drawing.Image)(resources.GetObject("unuseableButton1.Image")));
			this.unuseableButton1.Location = new System.Drawing.Point(72, 200);
			this.unuseableButton1.Name = "unuseableButton1";
			this.unuseableButton1.Size = new System.Drawing.Size(32, 32);
			this.unuseableButton1.TabIndex = 100;
			this.unuseableButton1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_0
			// 
			this.kp_0.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_0.Location = new System.Drawing.Point(640, 200);
			this.kp_0.Name = "kp_0";
			this.kp_0.Size = new System.Drawing.Size(64, 32);
			this.kp_0.TabIndex = 98;
			this.kp_0.Text = "0";
			this.kp_0.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_dot
			// 
			this.kp_dot.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_dot.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.kp_dot.Location = new System.Drawing.Point(704, 200);
			this.kp_dot.Name = "kp_dot";
			this.kp_dot.Size = new System.Drawing.Size(32, 32);
			this.kp_dot.TabIndex = 97;
			this.kp_dot.Text = ".";
			this.kp_dot.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_rtn
			// 
			this.kp_rtn.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_rtn.Location = new System.Drawing.Point(736, 168);
			this.kp_rtn.Name = "kp_rtn";
			this.kp_rtn.Size = new System.Drawing.Size(32, 64);
			this.kp_rtn.TabIndex = 95;
			this.kp_rtn.Text = "Rtn";
			this.kp_rtn.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_3
			// 
			this.kp_3.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_3.Location = new System.Drawing.Point(704, 168);
			this.kp_3.Name = "kp_3";
			this.kp_3.Size = new System.Drawing.Size(32, 32);
			this.kp_3.TabIndex = 94;
			this.kp_3.Text = "3";
			this.kp_3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_2
			// 
			this.kp_2.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_2.Location = new System.Drawing.Point(672, 168);
			this.kp_2.Name = "kp_2";
			this.kp_2.Size = new System.Drawing.Size(32, 32);
			this.kp_2.TabIndex = 93;
			this.kp_2.Text = "2";
			this.kp_2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_1
			// 
			this.kp_1.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_1.Location = new System.Drawing.Point(640, 168);
			this.kp_1.Name = "kp_1";
			this.kp_1.Size = new System.Drawing.Size(32, 32);
			this.kp_1.TabIndex = 92;
			this.kp_1.Text = "1";
			this.kp_1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_6
			// 
			this.kp_6.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_6.Location = new System.Drawing.Point(704, 136);
			this.kp_6.Name = "kp_6";
			this.kp_6.Size = new System.Drawing.Size(32, 32);
			this.kp_6.TabIndex = 91;
			this.kp_6.Text = "6";
			this.kp_6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_5
			// 
			this.kp_5.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_5.Location = new System.Drawing.Point(672, 136);
			this.kp_5.Name = "kp_5";
			this.kp_5.Size = new System.Drawing.Size(32, 32);
			this.kp_5.TabIndex = 90;
			this.kp_5.Text = "5";
			this.kp_5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_4
			// 
			this.kp_4.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_4.Location = new System.Drawing.Point(640, 136);
			this.kp_4.Name = "kp_4";
			this.kp_4.Size = new System.Drawing.Size(32, 32);
			this.kp_4.TabIndex = 89;
			this.kp_4.Text = "4";
			this.kp_4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_plus
			// 
			this.kp_plus.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_plus.Location = new System.Drawing.Point(736, 104);
			this.kp_plus.Name = "kp_plus";
			this.kp_plus.Size = new System.Drawing.Size(32, 64);
			this.kp_plus.TabIndex = 88;
			this.kp_plus.Text = "+";
			this.kp_plus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_9
			// 
			this.kp_9.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_9.Location = new System.Drawing.Point(704, 104);
			this.kp_9.Name = "kp_9";
			this.kp_9.Size = new System.Drawing.Size(32, 32);
			this.kp_9.TabIndex = 87;
			this.kp_9.Text = "9";
			this.kp_9.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_8
			// 
			this.kp_8.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_8.Location = new System.Drawing.Point(672, 104);
			this.kp_8.Name = "kp_8";
			this.kp_8.Size = new System.Drawing.Size(32, 32);
			this.kp_8.TabIndex = 86;
			this.kp_8.Text = "8";
			this.kp_8.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_7
			// 
			this.kp_7.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_7.Location = new System.Drawing.Point(640, 104);
			this.kp_7.Name = "kp_7";
			this.kp_7.Size = new System.Drawing.Size(32, 32);
			this.kp_7.TabIndex = 85;
			this.kp_7.Text = "7";
			this.kp_7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_dash
			// 
			this.kp_dash.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_dash.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.kp_dash.Location = new System.Drawing.Point(736, 72);
			this.kp_dash.Name = "kp_dash";
			this.kp_dash.Size = new System.Drawing.Size(32, 32);
			this.kp_dash.TabIndex = 84;
			this.kp_dash.Text = "-";
			this.kp_dash.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// astrisk
			// 
			this.astrisk.Appearance = System.Windows.Forms.Appearance.Button;
			this.astrisk.Location = new System.Drawing.Point(704, 72);
			this.astrisk.Name = "astrisk";
			this.astrisk.Size = new System.Drawing.Size(32, 32);
			this.astrisk.TabIndex = 83;
			this.astrisk.Text = "*";
			this.astrisk.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kp_forwardslash
			// 
			this.kp_forwardslash.Appearance = System.Windows.Forms.Appearance.Button;
			this.kp_forwardslash.Location = new System.Drawing.Point(672, 72);
			this.kp_forwardslash.Name = "kp_forwardslash";
			this.kp_forwardslash.Size = new System.Drawing.Size(32, 32);
			this.kp_forwardslash.TabIndex = 82;
			this.kp_forwardslash.Text = "/";
			this.kp_forwardslash.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pause
			// 
			this.pause.Appearance = System.Windows.Forms.Appearance.Button;
			this.pause.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.pause.Location = new System.Drawing.Point(584, 24);
			this.pause.Name = "pause";
			this.pause.Size = new System.Drawing.Size(32, 32);
			this.pause.TabIndex = 81;
			this.pause.Text = "Pse";
			// 
			// rightarrow
			// 
			this.rightarrow.Appearance = System.Windows.Forms.Appearance.Button;
			this.rightarrow.Image = ((System.Drawing.Image)(resources.GetObject("rightarrow.Image")));
			this.rightarrow.Location = new System.Drawing.Point(584, 200);
			this.rightarrow.Name = "rightarrow";
			this.rightarrow.Size = new System.Drawing.Size(32, 32);
			this.rightarrow.TabIndex = 80;
			this.rightarrow.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// leftarrow
			// 
			this.leftarrow.Appearance = System.Windows.Forms.Appearance.Button;
			this.leftarrow.Image = ((System.Drawing.Image)(resources.GetObject("leftarrow.Image")));
			this.leftarrow.Location = new System.Drawing.Point(520, 200);
			this.leftarrow.Name = "leftarrow";
			this.leftarrow.Size = new System.Drawing.Size(32, 32);
			this.leftarrow.TabIndex = 79;
			this.leftarrow.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// downarrow
			// 
			this.downarrow.Appearance = System.Windows.Forms.Appearance.Button;
			this.downarrow.Image = ((System.Drawing.Image)(resources.GetObject("downarrow.Image")));
			this.downarrow.Location = new System.Drawing.Point(552, 200);
			this.downarrow.Name = "downarrow";
			this.downarrow.Size = new System.Drawing.Size(32, 32);
			this.downarrow.TabIndex = 78;
			this.downarrow.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// uparrow
			// 
			this.uparrow.Appearance = System.Windows.Forms.Appearance.Button;
			this.uparrow.Image = ((System.Drawing.Image)(resources.GetObject("uparrow.Image")));
			this.uparrow.Location = new System.Drawing.Point(552, 168);
			this.uparrow.Name = "uparrow";
			this.uparrow.Size = new System.Drawing.Size(32, 32);
			this.uparrow.TabIndex = 77;
			this.uparrow.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pagedown
			// 
			this.pagedown.Appearance = System.Windows.Forms.Appearance.Button;
			this.pagedown.Location = new System.Drawing.Point(584, 104);
			this.pagedown.Name = "pagedown";
			this.pagedown.Size = new System.Drawing.Size(32, 32);
			this.pagedown.TabIndex = 76;
			this.pagedown.Text = "PD";
			this.pagedown.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// end
			// 
			this.end.Appearance = System.Windows.Forms.Appearance.Button;
			this.end.Location = new System.Drawing.Point(552, 104);
			this.end.Name = "end";
			this.end.Size = new System.Drawing.Size(32, 32);
			this.end.TabIndex = 75;
			this.end.Text = "End";
			this.end.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// del
			// 
			this.del.Appearance = System.Windows.Forms.Appearance.Button;
			this.del.Location = new System.Drawing.Point(520, 104);
			this.del.Name = "del";
			this.del.Size = new System.Drawing.Size(32, 32);
			this.del.TabIndex = 74;
			this.del.Text = "Del";
			this.del.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pageup
			// 
			this.pageup.Appearance = System.Windows.Forms.Appearance.Button;
			this.pageup.Location = new System.Drawing.Point(584, 72);
			this.pageup.Name = "pageup";
			this.pageup.Size = new System.Drawing.Size(32, 32);
			this.pageup.TabIndex = 73;
			this.pageup.Text = "PU";
			this.pageup.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// home
			// 
			this.home.Appearance = System.Windows.Forms.Appearance.Button;
			this.home.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.home.Location = new System.Drawing.Point(552, 72);
			this.home.Name = "home";
			this.home.Size = new System.Drawing.Size(32, 32);
			this.home.TabIndex = 72;
			this.home.Text = "Hm";
			this.home.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// ins
			// 
			this.ins.Appearance = System.Windows.Forms.Appearance.Button;
			this.ins.Location = new System.Drawing.Point(520, 72);
			this.ins.Name = "ins";
			this.ins.Size = new System.Drawing.Size(32, 32);
			this.ins.TabIndex = 71;
			this.ins.Text = "Ins";
			this.ins.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// rctrl
			// 
			this.rctrl.Appearance = System.Windows.Forms.Appearance.Button;
			this.rctrl.Location = new System.Drawing.Point(432, 200);
			this.rctrl.Name = "rctrl";
			this.rctrl.Size = new System.Drawing.Size(64, 32);
			this.rctrl.TabIndex = 70;
			this.rctrl.Text = "Ctrl";
			this.rctrl.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// ralt
			// 
			this.ralt.Appearance = System.Windows.Forms.Appearance.Button;
			this.ralt.Location = new System.Drawing.Point(328, 200);
			this.ralt.Name = "ralt";
			this.ralt.Size = new System.Drawing.Size(40, 32);
			this.ralt.TabIndex = 69;
			this.ralt.Text = "Alt";
			this.ralt.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// space
			// 
			this.space.Appearance = System.Windows.Forms.Appearance.Button;
			this.space.Location = new System.Drawing.Point(144, 200);
			this.space.Name = "space";
			this.space.Size = new System.Drawing.Size(184, 32);
			this.space.TabIndex = 68;
			this.space.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lalt
			// 
			this.lalt.Appearance = System.Windows.Forms.Appearance.Button;
			this.lalt.Location = new System.Drawing.Point(104, 200);
			this.lalt.Name = "lalt";
			this.lalt.Size = new System.Drawing.Size(40, 32);
			this.lalt.TabIndex = 67;
			this.lalt.Text = "Alt";
			this.lalt.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lctrl
			// 
			this.lctrl.Appearance = System.Windows.Forms.Appearance.Button;
			this.lctrl.Location = new System.Drawing.Point(16, 200);
			this.lctrl.Name = "lctrl";
			this.lctrl.Size = new System.Drawing.Size(56, 32);
			this.lctrl.TabIndex = 66;
			this.lctrl.Text = "Ctrl";
			this.lctrl.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// rshift
			// 
			this.rshift.Appearance = System.Windows.Forms.Appearance.Button;
			this.rshift.Location = new System.Drawing.Point(408, 168);
			this.rshift.Name = "rshift";
			this.rshift.Size = new System.Drawing.Size(88, 32);
			this.rshift.TabIndex = 65;
			this.rshift.Text = "Shift";
			this.rshift.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// forwardslash
			// 
			this.forwardslash.Appearance = System.Windows.Forms.Appearance.Button;
			this.forwardslash.Location = new System.Drawing.Point(376, 168);
			this.forwardslash.Name = "forwardslash";
			this.forwardslash.Size = new System.Drawing.Size(32, 32);
			this.forwardslash.TabIndex = 64;
			this.forwardslash.Text = "/";
			this.forwardslash.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// closed_tag
			// 
			this.closed_tag.Appearance = System.Windows.Forms.Appearance.Button;
			this.closed_tag.Location = new System.Drawing.Point(344, 168);
			this.closed_tag.Name = "closed_tag";
			this.closed_tag.Size = new System.Drawing.Size(32, 32);
			this.closed_tag.TabIndex = 63;
			this.closed_tag.Text = ">";
			this.closed_tag.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// open_tag
			// 
			this.open_tag.Appearance = System.Windows.Forms.Appearance.Button;
			this.open_tag.Location = new System.Drawing.Point(312, 168);
			this.open_tag.Name = "open_tag";
			this.open_tag.Size = new System.Drawing.Size(32, 32);
			this.open_tag.TabIndex = 62;
			this.open_tag.Text = "<";
			this.open_tag.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// mkey
			// 
			this.mkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.mkey.Location = new System.Drawing.Point(280, 168);
			this.mkey.Name = "mkey";
			this.mkey.Size = new System.Drawing.Size(32, 32);
			this.mkey.TabIndex = 61;
			this.mkey.Text = "M";
			this.mkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// nkey
			// 
			this.nkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.nkey.Location = new System.Drawing.Point(248, 168);
			this.nkey.Name = "nkey";
			this.nkey.Size = new System.Drawing.Size(32, 32);
			this.nkey.TabIndex = 60;
			this.nkey.Text = "N";
			this.nkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// bkey
			// 
			this.bkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.bkey.Location = new System.Drawing.Point(216, 168);
			this.bkey.Name = "bkey";
			this.bkey.Size = new System.Drawing.Size(32, 32);
			this.bkey.TabIndex = 59;
			this.bkey.Text = "B";
			this.bkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// vkey
			// 
			this.vkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.vkey.Location = new System.Drawing.Point(184, 168);
			this.vkey.Name = "vkey";
			this.vkey.Size = new System.Drawing.Size(32, 32);
			this.vkey.TabIndex = 58;
			this.vkey.Text = "V";
			this.vkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// ckey
			// 
			this.ckey.Appearance = System.Windows.Forms.Appearance.Button;
			this.ckey.Location = new System.Drawing.Point(152, 168);
			this.ckey.Name = "ckey";
			this.ckey.Size = new System.Drawing.Size(32, 32);
			this.ckey.TabIndex = 57;
			this.ckey.Text = "C";
			this.ckey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// xkey
			// 
			this.xkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.xkey.Location = new System.Drawing.Point(120, 168);
			this.xkey.Name = "xkey";
			this.xkey.Size = new System.Drawing.Size(32, 32);
			this.xkey.TabIndex = 56;
			this.xkey.Text = "X";
			this.xkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// zkey
			// 
			this.zkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.zkey.Location = new System.Drawing.Point(88, 168);
			this.zkey.Name = "zkey";
			this.zkey.Size = new System.Drawing.Size(32, 32);
			this.zkey.TabIndex = 55;
			this.zkey.Text = "Z";
			this.zkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lshift
			// 
			this.lshift.Appearance = System.Windows.Forms.Appearance.Button;
			this.lshift.Location = new System.Drawing.Point(16, 168);
			this.lshift.Name = "lshift";
			this.lshift.Size = new System.Drawing.Size(72, 32);
			this.lshift.TabIndex = 54;
			this.lshift.Text = "Shift";
			this.lshift.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// enter
			// 
			this.enter.Appearance = System.Windows.Forms.Appearance.Button;
			this.enter.Location = new System.Drawing.Point(424, 136);
			this.enter.Name = "enter";
			this.enter.Size = new System.Drawing.Size(72, 32);
			this.enter.TabIndex = 53;
			this.enter.Text = "Enter";
			this.enter.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// quotes
			// 
			this.quotes.Appearance = System.Windows.Forms.Appearance.Button;
			this.quotes.Location = new System.Drawing.Point(392, 136);
			this.quotes.Name = "quotes";
			this.quotes.Size = new System.Drawing.Size(32, 32);
			this.quotes.TabIndex = 52;
			this.quotes.Text = "\"";
			this.quotes.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// semicol
			// 
			this.semicol.Appearance = System.Windows.Forms.Appearance.Button;
			this.semicol.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.semicol.Location = new System.Drawing.Point(360, 136);
			this.semicol.Name = "semicol";
			this.semicol.Size = new System.Drawing.Size(32, 32);
			this.semicol.TabIndex = 51;
			this.semicol.Text = ";";
			this.semicol.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lkey
			// 
			this.lkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.lkey.Location = new System.Drawing.Point(328, 136);
			this.lkey.Name = "lkey";
			this.lkey.Size = new System.Drawing.Size(32, 32);
			this.lkey.TabIndex = 50;
			this.lkey.Text = "L";
			this.lkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// kkey
			// 
			this.kkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.kkey.Location = new System.Drawing.Point(296, 136);
			this.kkey.Name = "kkey";
			this.kkey.Size = new System.Drawing.Size(32, 32);
			this.kkey.TabIndex = 49;
			this.kkey.Text = "K";
			this.kkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// jkey
			// 
			this.jkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.jkey.Location = new System.Drawing.Point(264, 136);
			this.jkey.Name = "jkey";
			this.jkey.Size = new System.Drawing.Size(32, 32);
			this.jkey.TabIndex = 48;
			this.jkey.Text = "J";
			this.jkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// hkey
			// 
			this.hkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.hkey.Location = new System.Drawing.Point(232, 136);
			this.hkey.Name = "hkey";
			this.hkey.Size = new System.Drawing.Size(32, 32);
			this.hkey.TabIndex = 47;
			this.hkey.Text = "H";
			this.hkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// gkey
			// 
			this.gkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.gkey.Location = new System.Drawing.Point(200, 136);
			this.gkey.Name = "gkey";
			this.gkey.Size = new System.Drawing.Size(32, 32);
			this.gkey.TabIndex = 46;
			this.gkey.Text = "G";
			this.gkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// fkey
			// 
			this.fkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.fkey.Location = new System.Drawing.Point(168, 136);
			this.fkey.Name = "fkey";
			this.fkey.Size = new System.Drawing.Size(32, 32);
			this.fkey.TabIndex = 45;
			this.fkey.Text = "F";
			this.fkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// dkey
			// 
			this.dkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.dkey.Location = new System.Drawing.Point(136, 136);
			this.dkey.Name = "dkey";
			this.dkey.Size = new System.Drawing.Size(32, 32);
			this.dkey.TabIndex = 44;
			this.dkey.Text = "D";
			this.dkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// skey
			// 
			this.skey.Appearance = System.Windows.Forms.Appearance.Button;
			this.skey.Location = new System.Drawing.Point(104, 136);
			this.skey.Name = "skey";
			this.skey.Size = new System.Drawing.Size(32, 32);
			this.skey.TabIndex = 43;
			this.skey.Text = "S";
			this.skey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// akey
			// 
			this.akey.Appearance = System.Windows.Forms.Appearance.Button;
			this.akey.Location = new System.Drawing.Point(72, 136);
			this.akey.Name = "akey";
			this.akey.Size = new System.Drawing.Size(32, 32);
			this.akey.TabIndex = 42;
			this.akey.Text = "A";
			this.akey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// caps
			// 
			this.caps.Appearance = System.Windows.Forms.Appearance.Button;
			this.caps.Location = new System.Drawing.Point(16, 136);
			this.caps.Name = "caps";
			this.caps.Size = new System.Drawing.Size(56, 32);
			this.caps.TabIndex = 41;
			this.caps.Text = "Caps";
			this.caps.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// backslash
			// 
			this.backslash.Appearance = System.Windows.Forms.Appearance.Button;
			this.backslash.Location = new System.Drawing.Point(448, 104);
			this.backslash.Name = "backslash";
			this.backslash.Size = new System.Drawing.Size(48, 32);
			this.backslash.TabIndex = 40;
			this.backslash.Text = "\\";
			this.backslash.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// closed_square_brace_key
			// 
			this.closed_square_brace_key.Appearance = System.Windows.Forms.Appearance.Button;
			this.closed_square_brace_key.Location = new System.Drawing.Point(416, 104);
			this.closed_square_brace_key.Name = "closed_square_brace_key";
			this.closed_square_brace_key.Size = new System.Drawing.Size(32, 32);
			this.closed_square_brace_key.TabIndex = 39;
			this.closed_square_brace_key.Text = "]";
			this.closed_square_brace_key.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// open_square_brace_key
			// 
			this.open_square_brace_key.Appearance = System.Windows.Forms.Appearance.Button;
			this.open_square_brace_key.Location = new System.Drawing.Point(384, 104);
			this.open_square_brace_key.Name = "open_square_brace_key";
			this.open_square_brace_key.Size = new System.Drawing.Size(32, 32);
			this.open_square_brace_key.TabIndex = 38;
			this.open_square_brace_key.Text = "[";
			this.open_square_brace_key.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pkey
			// 
			this.pkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.pkey.Location = new System.Drawing.Point(352, 104);
			this.pkey.Name = "pkey";
			this.pkey.Size = new System.Drawing.Size(32, 32);
			this.pkey.TabIndex = 37;
			this.pkey.Text = "P";
			this.pkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// okey
			// 
			this.okey.Appearance = System.Windows.Forms.Appearance.Button;
			this.okey.Location = new System.Drawing.Point(320, 104);
			this.okey.Name = "okey";
			this.okey.Size = new System.Drawing.Size(32, 32);
			this.okey.TabIndex = 36;
			this.okey.Text = "O";
			this.okey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// ikey
			// 
			this.ikey.Appearance = System.Windows.Forms.Appearance.Button;
			this.ikey.Location = new System.Drawing.Point(288, 104);
			this.ikey.Name = "ikey";
			this.ikey.Size = new System.Drawing.Size(32, 32);
			this.ikey.TabIndex = 35;
			this.ikey.Text = "I";
			this.ikey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// ukey
			// 
			this.ukey.Appearance = System.Windows.Forms.Appearance.Button;
			this.ukey.Location = new System.Drawing.Point(256, 104);
			this.ukey.Name = "ukey";
			this.ukey.Size = new System.Drawing.Size(32, 32);
			this.ukey.TabIndex = 34;
			this.ukey.Text = "U";
			this.ukey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// ykey
			// 
			this.ykey.Appearance = System.Windows.Forms.Appearance.Button;
			this.ykey.Location = new System.Drawing.Point(224, 104);
			this.ykey.Name = "ykey";
			this.ykey.Size = new System.Drawing.Size(32, 32);
			this.ykey.TabIndex = 33;
			this.ykey.Text = "Y";
			this.ykey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// tkey
			// 
			this.tkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.tkey.Location = new System.Drawing.Point(192, 104);
			this.tkey.Name = "tkey";
			this.tkey.Size = new System.Drawing.Size(32, 32);
			this.tkey.TabIndex = 32;
			this.tkey.Text = "T";
			this.tkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// rkey
			// 
			this.rkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.rkey.Location = new System.Drawing.Point(160, 104);
			this.rkey.Name = "rkey";
			this.rkey.Size = new System.Drawing.Size(32, 32);
			this.rkey.TabIndex = 31;
			this.rkey.Text = "R";
			this.rkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// ekey
			// 
			this.ekey.Appearance = System.Windows.Forms.Appearance.Button;
			this.ekey.Location = new System.Drawing.Point(128, 104);
			this.ekey.Name = "ekey";
			this.ekey.Size = new System.Drawing.Size(32, 32);
			this.ekey.TabIndex = 30;
			this.ekey.Text = "E";
			this.ekey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// wkey
			// 
			this.wkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.wkey.Location = new System.Drawing.Point(96, 104);
			this.wkey.Name = "wkey";
			this.wkey.Size = new System.Drawing.Size(32, 32);
			this.wkey.TabIndex = 29;
			this.wkey.Text = "W";
			this.wkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// qkey
			// 
			this.qkey.Appearance = System.Windows.Forms.Appearance.Button;
			this.qkey.Location = new System.Drawing.Point(64, 104);
			this.qkey.Name = "qkey";
			this.qkey.Size = new System.Drawing.Size(32, 32);
			this.qkey.TabIndex = 28;
			this.qkey.Text = "Q";
			this.qkey.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// tab
			// 
			this.tab.Appearance = System.Windows.Forms.Appearance.Button;
			this.tab.Location = new System.Drawing.Point(16, 104);
			this.tab.Name = "tab";
			this.tab.Size = new System.Drawing.Size(48, 32);
			this.tab.TabIndex = 27;
			this.tab.Text = "Tab";
			this.tab.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// backspace
			// 
			this.backspace.Appearance = System.Windows.Forms.Appearance.Button;
			this.backspace.Location = new System.Drawing.Point(432, 72);
			this.backspace.Name = "backspace";
			this.backspace.Size = new System.Drawing.Size(64, 32);
			this.backspace.TabIndex = 26;
			this.backspace.Text = "<- Bksp";
			this.backspace.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// equals
			// 
			this.equals.Appearance = System.Windows.Forms.Appearance.Button;
			this.equals.Location = new System.Drawing.Point(400, 72);
			this.equals.Name = "equals";
			this.equals.Size = new System.Drawing.Size(32, 32);
			this.equals.TabIndex = 25;
			this.equals.Text = "=";
			this.equals.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// dash
			// 
			this.dash.Appearance = System.Windows.Forms.Appearance.Button;
			this.dash.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.dash.Location = new System.Drawing.Point(368, 72);
			this.dash.Name = "dash";
			this.dash.Size = new System.Drawing.Size(32, 32);
			this.dash.TabIndex = 24;
			this.dash.Text = "-";
			this.dash.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// zero
			// 
			this.zero.Appearance = System.Windows.Forms.Appearance.Button;
			this.zero.Location = new System.Drawing.Point(336, 72);
			this.zero.Name = "zero";
			this.zero.Size = new System.Drawing.Size(32, 32);
			this.zero.TabIndex = 23;
			this.zero.Text = "0";
			this.zero.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// nine
			// 
			this.nine.Appearance = System.Windows.Forms.Appearance.Button;
			this.nine.Location = new System.Drawing.Point(304, 72);
			this.nine.Name = "nine";
			this.nine.Size = new System.Drawing.Size(32, 32);
			this.nine.TabIndex = 22;
			this.nine.Text = "9";
			this.nine.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// eight
			// 
			this.eight.Appearance = System.Windows.Forms.Appearance.Button;
			this.eight.Location = new System.Drawing.Point(272, 72);
			this.eight.Name = "eight";
			this.eight.Size = new System.Drawing.Size(32, 32);
			this.eight.TabIndex = 21;
			this.eight.Text = "8";
			this.eight.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// seven
			// 
			this.seven.Appearance = System.Windows.Forms.Appearance.Button;
			this.seven.Location = new System.Drawing.Point(240, 72);
			this.seven.Name = "seven";
			this.seven.Size = new System.Drawing.Size(32, 32);
			this.seven.TabIndex = 20;
			this.seven.Text = "7";
			this.seven.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// six
			// 
			this.six.Appearance = System.Windows.Forms.Appearance.Button;
			this.six.Location = new System.Drawing.Point(208, 72);
			this.six.Name = "six";
			this.six.Size = new System.Drawing.Size(32, 32);
			this.six.TabIndex = 19;
			this.six.Text = "6";
			this.six.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// five
			// 
			this.five.Appearance = System.Windows.Forms.Appearance.Button;
			this.five.Location = new System.Drawing.Point(176, 72);
			this.five.Name = "five";
			this.five.Size = new System.Drawing.Size(32, 32);
			this.five.TabIndex = 18;
			this.five.Text = "5";
			this.five.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// four
			// 
			this.four.Appearance = System.Windows.Forms.Appearance.Button;
			this.four.Location = new System.Drawing.Point(144, 72);
			this.four.Name = "four";
			this.four.Size = new System.Drawing.Size(32, 32);
			this.four.TabIndex = 17;
			this.four.Text = "4";
			this.four.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// three
			// 
			this.three.Appearance = System.Windows.Forms.Appearance.Button;
			this.three.Location = new System.Drawing.Point(112, 72);
			this.three.Name = "three";
			this.three.Size = new System.Drawing.Size(32, 32);
			this.three.TabIndex = 16;
			this.three.Text = "3";
			this.three.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// two
			// 
			this.two.Appearance = System.Windows.Forms.Appearance.Button;
			this.two.Location = new System.Drawing.Point(80, 72);
			this.two.Name = "two";
			this.two.Size = new System.Drawing.Size(32, 32);
			this.two.TabIndex = 15;
			this.two.Text = "2";
			this.two.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// one
			// 
			this.one.Appearance = System.Windows.Forms.Appearance.Button;
			this.one.Location = new System.Drawing.Point(48, 72);
			this.one.Name = "one";
			this.one.Size = new System.Drawing.Size(32, 32);
			this.one.TabIndex = 14;
			this.one.Text = "1";
			this.one.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// tilda
			// 
			this.tilda.Appearance = System.Windows.Forms.Appearance.Button;
			this.tilda.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tilda.Location = new System.Drawing.Point(16, 72);
			this.tilda.Name = "tilda";
			this.tilda.Size = new System.Drawing.Size(32, 32);
			this.tilda.TabIndex = 13;
			this.tilda.Text = "~";
			this.tilda.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// f12
			// 
			this.f12.Appearance = System.Windows.Forms.Appearance.Button;
			this.f12.Location = new System.Drawing.Point(464, 24);
			this.f12.Name = "f12";
			this.f12.Size = new System.Drawing.Size(32, 32);
			this.f12.TabIndex = 12;
			this.f12.Text = "F12";
			// 
			// f11
			// 
			this.f11.Appearance = System.Windows.Forms.Appearance.Button;
			this.f11.Location = new System.Drawing.Point(432, 24);
			this.f11.Name = "f11";
			this.f11.Size = new System.Drawing.Size(32, 32);
			this.f11.TabIndex = 11;
			this.f11.Text = "F11";
			// 
			// f10
			// 
			this.f10.Appearance = System.Windows.Forms.Appearance.Button;
			this.f10.Location = new System.Drawing.Point(400, 24);
			this.f10.Name = "f10";
			this.f10.Size = new System.Drawing.Size(32, 32);
			this.f10.TabIndex = 10;
			this.f10.Text = "F10";
			// 
			// f9
			// 
			this.f9.Appearance = System.Windows.Forms.Appearance.Button;
			this.f9.Location = new System.Drawing.Point(368, 24);
			this.f9.Name = "f9";
			this.f9.Size = new System.Drawing.Size(32, 32);
			this.f9.TabIndex = 9;
			this.f9.Text = "F9";
			// 
			// f8
			// 
			this.f8.Appearance = System.Windows.Forms.Appearance.Button;
			this.f8.Location = new System.Drawing.Point(320, 24);
			this.f8.Name = "f8";
			this.f8.Size = new System.Drawing.Size(32, 32);
			this.f8.TabIndex = 8;
			this.f8.Text = "F8";
			// 
			// f7
			// 
			this.f7.Appearance = System.Windows.Forms.Appearance.Button;
			this.f7.Location = new System.Drawing.Point(288, 24);
			this.f7.Name = "f7";
			this.f7.Size = new System.Drawing.Size(32, 32);
			this.f7.TabIndex = 7;
			this.f7.Text = "F7";
			// 
			// f6
			// 
			this.f6.Appearance = System.Windows.Forms.Appearance.Button;
			this.f6.Location = new System.Drawing.Point(256, 24);
			this.f6.Name = "f6";
			this.f6.Size = new System.Drawing.Size(32, 32);
			this.f6.TabIndex = 6;
			this.f6.Text = "F6";
			// 
			// f5
			// 
			this.f5.Appearance = System.Windows.Forms.Appearance.Button;
			this.f5.Location = new System.Drawing.Point(224, 24);
			this.f5.Name = "f5";
			this.f5.Size = new System.Drawing.Size(32, 32);
			this.f5.TabIndex = 5;
			this.f5.Text = "F5";
			// 
			// f4
			// 
			this.f4.Appearance = System.Windows.Forms.Appearance.Button;
			this.f4.Location = new System.Drawing.Point(176, 24);
			this.f4.Name = "f4";
			this.f4.Size = new System.Drawing.Size(32, 32);
			this.f4.TabIndex = 4;
			this.f4.Text = "F4";
			// 
			// f3
			// 
			this.f3.Appearance = System.Windows.Forms.Appearance.Button;
			this.f3.Location = new System.Drawing.Point(144, 24);
			this.f3.Name = "f3";
			this.f3.Size = new System.Drawing.Size(32, 32);
			this.f3.TabIndex = 3;
			this.f3.Text = "F3";
			// 
			// f2
			// 
			this.f2.Appearance = System.Windows.Forms.Appearance.Button;
			this.f2.Location = new System.Drawing.Point(112, 24);
			this.f2.Name = "f2";
			this.f2.Size = new System.Drawing.Size(32, 32);
			this.f2.TabIndex = 2;
			this.f2.Text = "F2";
			// 
			// f1
			// 
			this.f1.Appearance = System.Windows.Forms.Appearance.Button;
			this.f1.Location = new System.Drawing.Point(80, 24);
			this.f1.Name = "f1";
			this.f1.Size = new System.Drawing.Size(32, 32);
			this.f1.TabIndex = 1;
			this.f1.Text = "F1";
			// 
			// esc
			// 
			this.esc.Appearance = System.Windows.Forms.Appearance.Button;
			this.esc.Location = new System.Drawing.Point(16, 24);
			this.esc.Name = "esc";
			this.esc.Size = new System.Drawing.Size(32, 32);
			this.esc.TabIndex = 0;
			this.esc.Text = "Esc";
			// 
			// pictureBox1
			// 
			this.pictureBox1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("pictureBox1.BackgroundImage")));
			this.pictureBox1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pictureBox1.Cursor = System.Windows.Forms.Cursors.Hand;
			this.pictureBox1.Location = new System.Drawing.Point(639, 24);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(130, 34);
			this.pictureBox1.TabIndex = 99;
			this.pictureBox1.TabStop = false;
			this.CZBindToolTip.SetToolTip(this.pictureBox1, "Visit Code Zulu Website");
			// 
			// binds_tabPage
			// 
			this.binds_tabPage.Controls.Add(this.BindOptions_ListBox);
			this.binds_tabPage.ImageIndex = 17;
			this.binds_tabPage.Location = new System.Drawing.Point(4, 4);
			this.binds_tabPage.Name = "binds_tabPage";
			this.binds_tabPage.Size = new System.Drawing.Size(392, 273);
			this.binds_tabPage.TabIndex = 0;
			this.binds_tabPage.Text = "Buy Scripting";
			this.CZBindToolTip.SetToolTip(this.binds_tabPage, "Create Cusom Buy Scripts");
			// 
			// BindOptions_ListBox
			// 
			this.BindOptions_ListBox.BackColor = System.Drawing.SystemColors.Control;
			this.BindOptions_ListBox.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.BindOptions_ListBox.CheckOnClick = true;
			this.BindOptions_ListBox.ColumnWidth = 150;
			this.BindOptions_ListBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.BindOptions_ListBox.Items.AddRange(new object[] {
																	 "Aug / Sig",
																	 "Auto shotty(xm1014)",
																	 "Awp",
																	 "Colt / Ak",
																	 "Deagle",
																	 "Defuser",
																	 "Dualies(Elites)",
																	 "Famas / Galil",
																	 "Flash",
																	 "Flash(x2)",
																	 "Fn57",
																	 "G3sg1",
																	 "Glock",
																	 "HE Grenade",
																	 "Mac10",
																	 "Mp5",
																	 "Night Vision Goggles",
																	 "P228",
																	 "P90",
																	 "Para(m249)",
																	 "Primary Ammo",
																	 "Scout",
																	 "Secondary Ammo",
																	 "Sg550",
																	 "Shield",
																	 "Shotgun(m3)",
																	 "Smoke Grenade",
																	 "Stop Sound",
																	 "Tmp",
																	 "Ump45",
																	 "Usp",
																	 "Vest",
																	 "Vest & Helmet"});
			this.BindOptions_ListBox.Location = new System.Drawing.Point(0, 0);
			this.BindOptions_ListBox.MultiColumn = true;
			this.BindOptions_ListBox.Name = "BindOptions_ListBox";
			this.menuBar1.SetSandBarMenu(this.BindOptions_ListBox, this.BindOptions_ContextMenu);
			this.BindOptions_ListBox.Size = new System.Drawing.Size(392, 270);
			this.BindOptions_ListBox.Sorted = true;
			this.BindOptions_ListBox.TabIndex = 0;
			// 
			// config_tabPage
			// 
			this.config_tabPage.Controls.Add(this.rate);
			this.config_tabPage.Controls.Add(this.label14);
			this.config_tabPage.Controls.Add(this.cl_righthand);
			this.config_tabPage.Controls.Add(this._cl_autoweaponswitch);
			this.config_tabPage.Controls.Add(this._vgui_menus);
			this.config_tabPage.Controls.Add(this.groupBox3);
			this.config_tabPage.Controls.Add(this.Fps_Range);
			this.config_tabPage.Controls.Add(this.cl_weather);
			this.config_tabPage.Controls.Add(this.hud_fastswitch);
			this.config_tabPage.Controls.Add(this.hud_centerID);
			this.config_tabPage.Controls.Add(this.net_graph_GroupBox);
			this.config_tabPage.Controls.Add(this.DynamicCrossHairs);
			this.config_tabPage.Controls.Add(this.label4);
			this.config_tabPage.Controls.Add(this.PlayerName);
			this.config_tabPage.Controls.Add(this.label1);
			this.config_tabPage.Controls.Add(this.consolecolor);
			this.config_tabPage.Controls.Add(this.consoleColorSample);
			this.config_tabPage.ImageIndex = 15;
			this.config_tabPage.Location = new System.Drawing.Point(4, 4);
			this.config_tabPage.Name = "config_tabPage";
			this.config_tabPage.Size = new System.Drawing.Size(392, 273);
			this.config_tabPage.TabIndex = 1;
			this.config_tabPage.Text = "Config Editor";
			this.CZBindToolTip.SetToolTip(this.config_tabPage, "Edit your config file settings");
			this.config_tabPage.Visible = false;
			// 
			// groupBox3
			// 
			this.groupBox3.Controls.Add(this.net_grappos_2);
			this.groupBox3.Controls.Add(this.net_grappos_1);
			this.groupBox3.Controls.Add(this.net_grappos_3);
			this.groupBox3.Location = new System.Drawing.Point(192, 136);
			this.groupBox3.Name = "groupBox3";
			this.groupBox3.Size = new System.Drawing.Size(192, 40);
			this.groupBox3.TabIndex = 58;
			this.groupBox3.TabStop = false;
			this.groupBox3.Text = "Net Graph Location";
			// 
			// net_graph_GroupBox
			// 
			this.net_graph_GroupBox.Controls.Add(this.net_graph_0);
			this.net_graph_GroupBox.Controls.Add(this.net_graph_3);
			this.net_graph_GroupBox.Controls.Add(this.net_graph_2);
			this.net_graph_GroupBox.Controls.Add(this.net_graph_1);
			this.net_graph_GroupBox.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.net_graph_GroupBox.Location = new System.Drawing.Point(16, 64);
			this.net_graph_GroupBox.Name = "net_graph_GroupBox";
			this.net_graph_GroupBox.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.net_graph_GroupBox.Size = new System.Drawing.Size(368, 72);
			this.net_graph_GroupBox.TabIndex = 54;
			this.net_graph_GroupBox.TabStop = false;
			this.net_graph_GroupBox.Text = "Net Graph (Shows Resources In-Game)";
			// 
			// say_teamsay_textBox
			// 
			this.say_teamsay_textBox.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.say_teamsay_textBox.Location = new System.Drawing.Point(488, 8);
			this.say_teamsay_textBox.Name = "say_teamsay_textBox";
			this.say_teamsay_textBox.Size = new System.Drawing.Size(310, 20);
			this.say_teamsay_textBox.TabIndex = 42;
			this.say_teamsay_textBox.Text = "";
			this.CZBindToolTip.SetToolTip(this.say_teamsay_textBox, "Enter the text to Say or Team Say");
			// 
			// say_teamsay_combobox
			// 
			this.say_teamsay_combobox.DisplayMember = "0";
			this.say_teamsay_combobox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.say_teamsay_combobox.Items.AddRange(new object[] {
																	  "Say",
																	  "Team Say"});
			this.say_teamsay_combobox.Location = new System.Drawing.Point(400, 8);
			this.say_teamsay_combobox.Name = "say_teamsay_combobox";
			this.say_teamsay_combobox.Size = new System.Drawing.Size(80, 21);
			this.say_teamsay_combobox.TabIndex = 41;
			this.CZBindToolTip.SetToolTip(this.say_teamsay_combobox, "Choose a Say or Team Say command to add to your binds");
			this.say_teamsay_combobox.ValueMember = "0";
			// 
			// CustomBind
			// 
			this.CustomBind.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.CustomBind.Location = new System.Drawing.Point(104, 8);
			this.CustomBind.Name = "CustomBind";
			this.CustomBind.Size = new System.Drawing.Size(288, 20);
			this.CustomBind.TabIndex = 40;
			this.CustomBind.Text = "bind \"key\" \"command\"";
			this.CZBindToolTip.SetToolTip(this.CustomBind, "Click to enter custom binds");
			this.CustomBind.Leave += new System.EventHandler(this.CustomBind_Leave);
			this.CustomBind.Enter += new System.EventHandler(this.CustomBind_Enter);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(8, 10);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(96, 16);
			this.label2.TabIndex = 39;
			this.label2.Text = "Add Custom Bind:";
			this.CZBindToolTip.SetToolTip(this.label2, "Create custom binds and aliases");
			// 
			// ContextMenuImageList
			// 
			this.ContextMenuImageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.ContextMenuImageList.ImageSize = new System.Drawing.Size(16, 16);
			this.ContextMenuImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ContextMenuImageList.ImageStream")));
			this.ContextMenuImageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// MainMenuimageList
			// 
			this.MainMenuimageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
			this.MainMenuimageList.ImageSize = new System.Drawing.Size(16, 16);
			this.MainMenuimageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("MainMenuimageList.ImageStream")));
			this.MainMenuimageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.say_teamsay_textBox);
			this.panel1.Controls.Add(this.say_teamsay_combobox);
			this.panel1.Controls.Add(this.CustomBind);
			this.panel1.Controls.Add(this.label2);
			this.panel1.Controls.Add(this.main_tabControl);
			this.panel1.Controls.Add(this.groupBox2);
			this.panel1.Controls.Add(this.groupBox1);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel1.Location = new System.Drawing.Point(0, 51);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(806, 611);
			this.panel1.TabIndex = 30;
			// 
			// main_tabControl
			// 
			this.main_tabControl.Alignment = System.Windows.Forms.TabAlignment.Bottom;
			this.main_tabControl.Controls.Add(this.binds_tabPage);
			this.main_tabControl.Controls.Add(this.config_tabPage);
			this.main_tabControl.ImageList = this.ContextMenuImageList;
			this.main_tabControl.Location = new System.Drawing.Point(400, 40);
			this.main_tabControl.Name = "main_tabControl";
			this.main_tabControl.SelectedIndex = 0;
			this.main_tabControl.Size = new System.Drawing.Size(400, 300);
			this.main_tabControl.TabIndex = 36;
			// 
			// groupBox2
			// 
			this.groupBox2.Controls.Add(this.CurrentBind_ListBox);
			this.groupBox2.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.groupBox2.Location = new System.Drawing.Point(8, 34);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(384, 306);
			this.groupBox2.TabIndex = 31;
			this.groupBox2.TabStop = false;
			this.groupBox2.Tag = "Shows ";
			this.groupBox2.Text = "Current Bind Settings";
			// 
			// sandBarManager1
			// 
			this.sandBarManager1.BottomContainer = this.bottomSandBarDock;
			this.sandBarManager1.LeftContainer = this.leftSandBarDock;
			this.sandBarManager1.OwnerForm = this;
			this.sandBarManager1.RightContainer = this.rightSandBarDock;
			this.sandBarManager1.TopContainer = this.topSandBarDock;
			// 
			// bottomSandBarDock
			// 
			this.bottomSandBarDock.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.bottomSandBarDock.Location = new System.Drawing.Point(0, 662);
			this.bottomSandBarDock.Manager = this.sandBarManager1;
			this.bottomSandBarDock.Name = "bottomSandBarDock";
			this.bottomSandBarDock.Size = new System.Drawing.Size(806, 0);
			this.bottomSandBarDock.TabIndex = 33;
			// 
			// leftSandBarDock
			// 
			this.leftSandBarDock.Dock = System.Windows.Forms.DockStyle.Left;
			this.leftSandBarDock.Location = new System.Drawing.Point(0, 51);
			this.leftSandBarDock.Manager = this.sandBarManager1;
			this.leftSandBarDock.Name = "leftSandBarDock";
			this.leftSandBarDock.Size = new System.Drawing.Size(0, 611);
			this.leftSandBarDock.TabIndex = 31;
			// 
			// rightSandBarDock
			// 
			this.rightSandBarDock.Dock = System.Windows.Forms.DockStyle.Right;
			this.rightSandBarDock.Location = new System.Drawing.Point(806, 51);
			this.rightSandBarDock.Manager = this.sandBarManager1;
			this.rightSandBarDock.Name = "rightSandBarDock";
			this.rightSandBarDock.Size = new System.Drawing.Size(0, 611);
			this.rightSandBarDock.TabIndex = 32;
			// 
			// topSandBarDock
			// 
			this.topSandBarDock.Controls.Add(this.menuBar1);
			this.topSandBarDock.Controls.Add(this.toolBar1);
			this.topSandBarDock.Dock = System.Windows.Forms.DockStyle.Top;
			this.topSandBarDock.Location = new System.Drawing.Point(0, 0);
			this.topSandBarDock.Manager = this.sandBarManager1;
			this.topSandBarDock.Name = "topSandBarDock";
			this.topSandBarDock.Size = new System.Drawing.Size(806, 51);
			this.topSandBarDock.TabIndex = 34;
			// 
			// menuBar1
			// 
			this.menuBar1.AllowVerticalDock = false;
			this.menuBar1.Buttons.AddRange(new TD.SandBar.ToolbarItemBase[] {
																				this.file_menuItem,
																				this.edit_menuItem,
																				this.help_menuItem,
																				this.KeyboardLayout_ContextMenu,
																				this.CurrentBind_ContextMenu,
																				this.BindOptions_ContextMenu,
																				this.help_ContextMenu});
			this.menuBar1.Guid = new System.Guid("38a3520f-8bee-48c8-9bcf-3d26b950b108");
			this.menuBar1.ImageList = this.MainMenuimageList;
			this.menuBar1.Location = new System.Drawing.Point(2, 0);
			this.menuBar1.Name = "menuBar1";
			this.menuBar1.Size = new System.Drawing.Size(806, 24);
			this.menuBar1.TabIndex = 1;
			// 
			// CurrentBind_ContextMenu
			// 
			this.CurrentBind_ContextMenu.Icon = null;
			this.CurrentBind_ContextMenu.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																								this.old_DeleteBind_option,
																								this.old_SaveExit_option});
			this.CurrentBind_ContextMenu.Text = "CurrentBind_ContextMenu";
			this.CurrentBind_ContextMenu.Visible = false;
			// 
			// old_DeleteBind_option
			// 
			this.old_DeleteBind_option.Icon = null;
			this.old_DeleteBind_option.ImageIndex = 12;
			this.old_DeleteBind_option.Shortcut = System.Windows.Forms.Shortcut.None;
			this.old_DeleteBind_option.Text = "&Delete this Bind";
			this.old_DeleteBind_option.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.DeleteBind_option_Click);
			// 
			// old_SaveExit_option
			// 
			this.old_SaveExit_option.Icon = null;
			this.old_SaveExit_option.ImageIndex = 0;
			this.old_SaveExit_option.Shortcut = System.Windows.Forms.Shortcut.None;
			this.old_SaveExit_option.Text = "&Save Binds";
			this.old_SaveExit_option.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.Save_Click);
			// 
			// KeyboardLayout_ContextMenu
			// 
			this.KeyboardLayout_ContextMenu.Icon = null;
			this.KeyboardLayout_ContextMenu.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																								   this.old_bindkey_option,
																								   this.old_uncheckbuttons_option});
			this.KeyboardLayout_ContextMenu.Text = "KeyboardLayout_ContextMenu";
			this.KeyboardLayout_ContextMenu.Visible = false;
			// 
			// old_bindkey_option
			// 
			this.old_bindkey_option.Icon = null;
			this.old_bindkey_option.ImageIndex = 10;
			this.old_bindkey_option.Shortcut = System.Windows.Forms.Shortcut.None;
			this.old_bindkey_option.Text = "Bind Key";
			this.old_bindkey_option.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.AddBind_button_Click);
			// 
			// old_uncheckbuttons_option
			// 
			this.old_uncheckbuttons_option.Icon = null;
			this.old_uncheckbuttons_option.ImageIndex = 14;
			this.old_uncheckbuttons_option.Shortcut = System.Windows.Forms.Shortcut.None;
			this.old_uncheckbuttons_option.Text = "Uncheck Button";
			this.old_uncheckbuttons_option.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.Uncheckbuttons_option_Click);
			// 
			// BindOptions_ContextMenu
			// 
			this.BindOptions_ContextMenu.Icon = null;
			this.BindOptions_ContextMenu.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																								this.old_AddSelectedBinds_option,
																								this.old_ClearAllBinds_option});
			this.BindOptions_ContextMenu.Text = "BindOptions_ContextMenu";
			this.BindOptions_ContextMenu.Visible = false;
			// 
			// old_AddSelectedBinds_option
			// 
			this.old_AddSelectedBinds_option.Icon = null;
			this.old_AddSelectedBinds_option.ImageIndex = 17;
			this.old_AddSelectedBinds_option.Shortcut = System.Windows.Forms.Shortcut.None;
			this.old_AddSelectedBinds_option.Text = "Add Binds";
			this.old_AddSelectedBinds_option.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.AddBind_button_Click);
			// 
			// old_ClearAllBinds_option
			// 
			this.old_ClearAllBinds_option.Icon = null;
			this.old_ClearAllBinds_option.ImageIndex = 14;
			this.old_ClearAllBinds_option.Shortcut = System.Windows.Forms.Shortcut.None;
			this.old_ClearAllBinds_option.Text = "Uncheck All";
			this.old_ClearAllBinds_option.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.ClearSelectedBinds_Click);
			// 
			// file_menuItem
			// 
			this.file_menuItem.Icon = null;
			this.file_menuItem.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																					  this.save_menuItem,
																					  this.open_menuItem,
																					  this.exit_menuItem});
			this.file_menuItem.Text = "&File";
			// 
			// save_menuItem
			// 
			this.save_menuItem.Icon = null;
			this.save_menuItem.ImageIndex = 0;
			this.save_menuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlS;
			this.save_menuItem.Text = "&Save Binds";
			this.save_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.Save_Click);
			// 
			// open_menuItem
			// 
			this.open_menuItem.Icon = null;
			this.open_menuItem.ImageIndex = 1;
			this.open_menuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlO;
			this.open_menuItem.Text = "&Open New Config File";
			this.open_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.Config_option_Click);
			// 
			// exit_menuItem
			// 
			this.exit_menuItem.BeginGroup = true;
			this.exit_menuItem.Icon = null;
			this.exit_menuItem.ImageIndex = 2;
			this.exit_menuItem.Shortcut = System.Windows.Forms.Shortcut.AltF4;
			this.exit_menuItem.Text = "E&xit";
			this.exit_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.Exit_option_Click);
			// 
			// edit_menuItem
			// 
			this.edit_menuItem.Icon = null;
			this.edit_menuItem.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																					  this.Edit_files_menuItem,
																					  this.give_menuItem,
																					  this.showTips_menuItem});
			this.edit_menuItem.Text = "&Edit";
			// 
			// Edit_files_menuItem
			// 
			this.Edit_files_menuItem.Icon = null;
			this.Edit_files_menuItem.ImageIndex = 18;
			this.Edit_files_menuItem.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																							this.config_menuItem,
																							this.autoexec_menuItem,
																							this.userConfig_menuItem,
																							this.czbind_menuItem});
			this.Edit_files_menuItem.Shortcut = System.Windows.Forms.Shortcut.None;
			this.Edit_files_menuItem.Text = "Open in &Notepad";
			// 
			// config_menuItem
			// 
			this.config_menuItem.Icon = null;
			this.config_menuItem.ImageIndex = 19;
			this.config_menuItem.Shortcut = System.Windows.Forms.Shortcut.None;
			this.config_menuItem.Text = "Config.cfg";
			this.config_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.config_menuItem_Activate);
			// 
			// autoexec_menuItem
			// 
			this.autoexec_menuItem.Icon = null;
			this.autoexec_menuItem.ImageIndex = 19;
			this.autoexec_menuItem.Shortcut = System.Windows.Forms.Shortcut.None;
			this.autoexec_menuItem.Text = "Autoexec.cfg";
			this.autoexec_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.autoexec_menuItem_Activate);
			// 
			// userConfig_menuItem
			// 
			this.userConfig_menuItem.Icon = null;
			this.userConfig_menuItem.ImageIndex = 19;
			this.userConfig_menuItem.Shortcut = System.Windows.Forms.Shortcut.None;
			this.userConfig_menuItem.Text = "UserConfig.cfg";
			this.userConfig_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.userConfig_menuItem_Activate);
			// 
			// czbind_menuItem
			// 
			this.czbind_menuItem.Icon = null;
			this.czbind_menuItem.ImageIndex = 19;
			this.czbind_menuItem.Shortcut = System.Windows.Forms.Shortcut.None;
			this.czbind_menuItem.Text = "CZBind.cfg";
			this.czbind_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.czbind_menuItem_Activate);
			// 
			// give_menuItem
			// 
			this.give_menuItem.Icon = ((System.Drawing.Icon)(resources.GetObject("give_menuItem.Icon")));
			this.give_menuItem.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																					  this.feedback_menuItem,
																					  this.menuButtonItem1});
			this.give_menuItem.Shortcut = System.Windows.Forms.Shortcut.None;
			this.give_menuItem.Text = "Visit the Website";
			// 
			// feedback_menuItem
			// 
			this.feedback_menuItem.Icon = ((System.Drawing.Icon)(resources.GetObject("feedback_menuItem.Icon")));
			this.feedback_menuItem.Shortcut = System.Windows.Forms.Shortcut.None;
			this.feedback_menuItem.Text = "Give Feedback";
			this.feedback_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.feedback_menuItem_Activate);
			// 
			// menuButtonItem1
			// 
			this.menuButtonItem1.Icon = ((System.Drawing.Icon)(resources.GetObject("menuButtonItem1.Icon")));
			this.menuButtonItem1.Shortcut = System.Windows.Forms.Shortcut.None;
			this.menuButtonItem1.Text = "Request A New Feature";
			this.menuButtonItem1.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.menuButtonItem1_Activate);
			// 
			// showTips_menuItem
			// 
			this.showTips_menuItem.BeginGroup = true;
			this.showTips_menuItem.Checked = true;
			this.showTips_menuItem.Icon = null;
			this.showTips_menuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlT;
			this.showTips_menuItem.Text = "Show &Tool Tips";
			this.showTips_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.showTips_menuItem_Activate);
			// 
			// help_menuItem
			// 
			this.help_menuItem.Icon = null;
			this.help_menuItem.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																					  this.getHelp_menuItem,
																					  this.about_menuItem});
			this.help_menuItem.Text = "&Help";
			// 
			// getHelp_menuItem
			// 
			this.getHelp_menuItem.Icon = null;
			this.getHelp_menuItem.ImageIndex = 3;
			this.getHelp_menuItem.Shortcut = System.Windows.Forms.Shortcut.F1;
			this.getHelp_menuItem.Text = "&Get Help";
			this.getHelp_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.Helpme_option_Click);
			// 
			// about_menuItem
			// 
			this.about_menuItem.Icon = null;
			this.about_menuItem.ImageIndex = 4;
			this.about_menuItem.Shortcut = System.Windows.Forms.Shortcut.CtrlA;
			this.about_menuItem.Text = "&About CZ Bind Maker";
			this.about_menuItem.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.About_option_Click);
			// 
			// help_ContextMenu
			// 
			this.help_ContextMenu.Icon = null;
			this.help_ContextMenu.MenuItems.AddRange(new TD.SandBar.MenuButtonItem[] {
																						 this.old_menuItem1,
																						 this.old_menuItem2});
			this.help_ContextMenu.Text = "help_ContextMenu";
			this.help_ContextMenu.Visible = false;
			// 
			// old_menuItem1
			// 
			this.old_menuItem1.Icon = null;
			this.old_menuItem1.ImageIndex = 15;
			this.old_menuItem1.Shortcut = System.Windows.Forms.Shortcut.None;
			this.old_menuItem1.Text = "Get Help";
			this.old_menuItem1.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.Helpme_option_Click);
			// 
			// old_menuItem2
			// 
			this.old_menuItem2.Icon = null;
			this.old_menuItem2.ImageIndex = 13;
			this.old_menuItem2.Shortcut = System.Windows.Forms.Shortcut.None;
			this.old_menuItem2.Text = "About CZ Bind Maker";
			this.old_menuItem2.Activate += new TD.SandBar.MenuButtonItem.ActivateEventHandler(this.About_option_Click);
			// 
			// toolBar1
			// 
			this.toolBar1.AllowVerticalDock = false;
			this.toolBar1.Buttons.AddRange(new TD.SandBar.ToolbarItemBase[] {
																				this.NewButton,
																				this.OpenButton,
																				this.AboutButton,
																				this.DeleteBind,
																				this.AddBind_button1,
																				this.SaveButton,
																				this.radioCommand_comboBoxItem});
			this.toolBar1.Closable = false;
			this.toolBar1.DockLine = 1;
			this.toolBar1.Guid = new System.Guid("fdc83a7d-c2f5-4b61-b70a-d84f487e5d23");
			this.toolBar1.ImageList = this.MainMenuimageList;
			this.toolBar1.Location = new System.Drawing.Point(2, 24);
			this.toolBar1.Name = "toolBar1";
			this.toolBar1.Size = new System.Drawing.Size(780, 27);
			this.toolBar1.TabIndex = 0;
			// 
			// NewButton
			// 
			this.NewButton.BuddyMenu = this.save_menuItem;
			this.NewButton.Icon = null;
			this.NewButton.ImageIndex = 5;
			this.NewButton.Text = "&New Bind";
			this.NewButton.ToolTipText = "Create a new bind";
			// 
			// OpenButton
			// 
			this.OpenButton.BuddyMenu = this.open_menuItem;
			this.OpenButton.Icon = null;
			this.OpenButton.ImageIndex = 1;
			this.OpenButton.Text = "&Open Config";
			this.OpenButton.ToolTipText = "Open a new config file";
			// 
			// AboutButton
			// 
			this.AboutButton.BeginGroup = true;
			this.AboutButton.BuddyMenu = this.about_menuItem;
			this.AboutButton.Icon = null;
			this.AboutButton.ImageIndex = 4;
			this.AboutButton.Text = "&About";
			this.AboutButton.ToolTipText = "About CZ Bind Maker";
			// 
			// DeleteBind
			// 
			this.DeleteBind.BeginGroup = true;
			this.DeleteBind.BuddyMenu = this.old_DeleteBind_option;
			this.DeleteBind.Icon = null;
			this.DeleteBind.ImageIndex = 12;
			this.DeleteBind.Text = "&Delete Bind";
			this.DeleteBind.ToolTipText = "Remove the selected bind from your config file";
			// 
			// AddBind_button1
			// 
			this.AddBind_button1.BuddyMenu = this.old_AddSelectedBinds_option;
			this.AddBind_button1.Icon = null;
			this.AddBind_button1.ImageIndex = 17;
			this.AddBind_button1.Text = "Add &Binds";
			this.AddBind_button1.ToolTipText = "Add the selected binds to your config file";
			// 
			// SaveButton
			// 
			this.SaveButton.BuddyMenu = this.save_menuItem;
			this.SaveButton.Icon = null;
			this.SaveButton.ImageIndex = 0;
			this.SaveButton.Text = "&Save Binds";
			this.SaveButton.ToolTipText = "Save everything to your config file";
			// 
			// radioCommand_comboBoxItem
			// 
			this.radioCommand_comboBoxItem.BeginGroup = true;
			this.radioCommand_comboBoxItem.ControlWidth = 150;
			this.radioCommand_comboBoxItem.DefaultText = "Choose";
			this.radioCommand_comboBoxItem.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.radioCommand_comboBoxItem.Items.AddRange(new object[] {
																		   "Cover me",
																		   "You take the point",
																		   "Hold this position",
																		   "Re-group team",
																		   "Follow me",
																		   "Taking fire",
																		   "Go Go Go",
																		   "Fall back",
																		   "Stick together team",
																		   "Get in position",
																		   "Storm the front",
																		   "Report in team",
																		   "Roger that/ Affirmative",
																		   "Enemy spotted",
																		   "Need backup",
																		   "Sector clear",
																		   "I\'m in position",
																		   "Reporting in",
																		   "Get out of there",
																		   "Negative",
																		   "Enemy down"});
			this.radioCommand_comboBoxItem.Padding.Left = 1;
			this.radioCommand_comboBoxItem.Padding.Right = 1;
			this.radioCommand_comboBoxItem.Text = "Radio Commands";
			this.radioCommand_comboBoxItem.ToolTipText = "Add a radio command";
			// 
			// CZBindMakerMainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(806, 662);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.leftSandBarDock);
			this.Controls.Add(this.rightSandBarDock);
			this.Controls.Add(this.bottomSandBarDock);
			this.Controls.Add(this.topSandBarDock);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.Name = "CZBindMakerMainForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "   CZ Bind Maker For Counter-Strike 1.6";
			((System.ComponentModel.ISupportInitialize)(this.rate)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.Fps_Range)).EndInit();
			this.groupBox1.ResumeLayout(false);
			this.binds_tabPage.ResumeLayout(false);
			this.config_tabPage.ResumeLayout(false);
			this.groupBox3.ResumeLayout(false);
			this.net_graph_GroupBox.ResumeLayout(false);
			this.panel1.ResumeLayout(false);
			this.main_tabControl.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.topSandBarDock.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			#region
			if(Process.GetProcessesByName("CZBindMaker").Length > 1)
			{
				MessageBox.Show("CZ Bind Maker is already running\n\nOnly one open at a time.", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{
				Application.EnableVisualStyles();
				Application.Run(new CZBindMakerMainForm());
			}
			#endregion
		}

		/// <summary>
		/// Loads the user preferences for CZBindMaker if it exists.  If not, get the path info and write the file.
		/// </summary>
		private void InitializeData()
		{
			#region
			bool errorFlag = false;
			// IF THE USER PREFERENCES HAVE BEEN SET, LOAD THEM AND CONTINUE
			if(this.ConfigFilePath.CurrentValue != "" && this.BindFilePath.CurrentValue != "" && this.UserConfigPath.CurrentValue != "")
			{
				this.m_bindFilePath = this.BindFilePath.CurrentValue;
				this.m_configFilePath = this.ConfigFilePath.CurrentValue;
				this.m_userFilePath = this.UserConfigPath.CurrentValue;
				if(this.ToolTipsEnabled.CurrentValue != "false")
					this.CZBindToolTip.Active = true;
				else
					this.CZBindToolTip.Active = false;
			}

			// IF THIS IS THE FIRST TIME RUNNING THE PROGRAM, SET THE USER PREFERENCES
			if(this.ConfigFilePath.CurrentValue == "" && this.BindFilePath.CurrentValue == "" && this.UserConfigPath.CurrentValue == "")
			{
				bool continueFlag = false; // used in determining whether to continue through the directory search
				string workingPath = "";
				try
				{
					DirectoryInfo d = new DirectoryInfo(this.m_rKey.GetValue("InstallPath").ToString());
					DirectoryInfo[] list = d.GetDirectories();
					if(list.Length >= 1) // IF THE "SteamApps" DIRECTORY EXISTS
					{
						foreach(DirectoryInfo dir in list)
							if(Regex.Match(dir.Name, ".*SteamApps.*", RegexOptions.IgnoreCase).Success)
							{
								workingPath = dir.FullName;
								continueFlag = true;
							}
					}
					if(continueFlag && workingPath != "") // GET THE EMAIL ADDRESS
					{
						d = new DirectoryInfo(workingPath);
						list = d.GetDirectories();
						if(list.Length == 1) // IF ONLY 1 EMAIL ADDRESS IS PRESENT
						{
							workingPath += "\\"+list[0].ToString();
						
						}
						else if(list.Length > 1) // IF MULITPLE EMAIL ADDRESSES ARE PRESENT, SELECT THE RIGHT ONE
						{
							// open up the account chooser

							AccountChooser ac = new AccountChooser(list);
							if(ac.ShowDialog(this) == DialogResult.OK)
							{
								// email address selected
								workingPath += "\\"+CZBindMaker.CZBindMakerMainForm.m_configTransferPath;
							}
							if(ac.DialogResult != DialogResult.OK)
							{
								// email address not selected
								errorFlag = true;
							}
						}
						else
							continueFlag = false;
					}
					if(continueFlag && workingPath != "") // GET THE "counter-strike" DIRECTORY
					{
						continueFlag = false;
						d = new DirectoryInfo(workingPath);
						list = d.GetDirectories();
						if(list.Length >= 1)
						{
							foreach(DirectoryInfo dir in list)
								if(Regex.Match(dir.Name, ".*counter-strike.*", RegexOptions.IgnoreCase).Success)
								{
									workingPath += "\\"+dir.Name;
									continueFlag = true;
								}
						}
						else
							continueFlag = false;
					}
					if(continueFlag && workingPath != "") // GET THE "cstrike" DIRECTORY IN ANY LANGUAGE
					{
						continueFlag = false;
						d = new DirectoryInfo(workingPath);
						list = d.GetDirectories();
						if(list.Length >= 1)
						{
							foreach(DirectoryInfo dir in list)
								if(Regex.Match(dir.Name, ".*cstrike.*", RegexOptions.IgnoreCase).Success)
								{
									workingPath += "\\"+dir.Name;
									continueFlag = true;
								}
						}
						else
							continueFlag = false;
					}
					if(File.Exists(workingPath+"\\config.cfg"))
					{
						this.m_configFilePath = workingPath+"\\config.cfg";
						this.ConfigFilePath.CurrentValue = this.m_configFilePath;
						this.m_bindFilePath = workingPath+"\\czbind.cfg";
						this.BindFilePath.CurrentValue = this.m_bindFilePath;
						this.m_userFilePath = workingPath+"\\userconfig.cfg";
						this.UserConfigPath.CurrentValue = this.m_userFilePath;
						this.UserPreferencesSettingContainer.Write();
					}
					else
					{
						this.m_configFilePath = "";
						this.ConfigFilePath.CurrentValue = this.m_configFilePath;
						this.m_bindFilePath = "";
						this.BindFilePath.CurrentValue = this.m_bindFilePath;
						this.m_userFilePath = "";
						this.UserConfigPath.CurrentValue = this.m_userFilePath;
						this.UserPreferencesSettingContainer.Write();
						MessageBox.Show("Failed to find the Steam Directory!\n\nYou will need to locate the file youself.", "Error Could not find the steam program folder",MessageBoxButtons.OK,MessageBoxIcon.Error);
						errorFlag = true;
					}
				}
				catch(Exception e)
				{
					e.ToString();
					MessageBox.Show("CZ Bind Maker failed to find the Steam Directory!\n\nYou will need to locate the file youself.\n\nA file dialog box will now open and you can select it yourself", "Couldn't locate the config file",MessageBoxButtons.OK,MessageBoxIcon.Information);
					errorFlag = true;
				}
				if(errorFlag)
				{
					// IF NONE FOUND OPEN DIALOG AND GET USER SETTINGS
					this.ConfigFileFinder.InitialDirectory = workingPath;
					if(this.ConfigFileFinder.ShowDialog(this) == DialogResult.OK)
					{
						this.m_configFilePath = this.ConfigFileFinder.FileName;
						MessageBox.Show(this.ConfigFileFinder.FileName+"\n"+Regex.Replace(this.m_configFilePath, @"config.cfg","czbind.cfg",RegexOptions.IgnoreCase)+"\n"+Regex.Replace(this.m_configFilePath, @"config.cfg","userconfig.cfg",RegexOptions.IgnoreCase));
						this.ConfigFilePath.CurrentValue = this.m_configFilePath;
						this.m_bindFilePath = Regex.Replace(this.m_configFilePath, @"config.cfg","czbind.cfg",RegexOptions.IgnoreCase);
						this.BindFilePath.CurrentValue = this.m_bindFilePath;
						this.m_userFilePath = Regex.Replace(this.m_configFilePath, @"config.cfg","userconfig.cfg",RegexOptions.IgnoreCase);
						this.UserConfigPath.CurrentValue = this.m_userFilePath;
						this.UserPreferencesSettingContainer.Write();
						errorFlag = false;
					}
						// CASE: USER HIT CANCEL ON THE CONFIGURATION DIALOG
					else
					{
						this.m_configFilePath = "";
						this.m_bindFilePath = "";
						this.m_userFilePath = "";
						this.UserPreferencesSettingContainer.Write();
						MessageBox.Show("You have to select your config file before you can save your custom binds!", "Can't save without a config file",MessageBoxButtons.OK,MessageBoxIcon.Information);
					}
				}
			}
			if(!errorFlag)
			{
				this.LoadConfigFile();
			}
			#endregion
		}
		/// <summary>
		/// Load the Config.cfg file from a file dialog box
		/// </summary>
		/// <param name="path">The Config File Path</param>
		/// <param name="init">
		/// Is this the initial loading of the document? If so, It will check
		/// to make sure that the <b>exec czbind.cfg</b> is included in the 
		/// <b>config.cfg</b>.  Not needed if the config file is reloaded during 
		/// runtime.
		/// </param>
		private void LoadConfigFile()
		{
			#region
			string temp;
			string[] split;
			bool contFlag = true;
			// READ THE CONTENTS OF THE CONFIG FILE INTO THE CONFIGFILECONTENTS STRING
			#region DONE
			try
			{
				if(!File.Exists(Regex.Replace(this.m_configFilePath, "config.cfg", "config_backup.cfg")))
					File.Copy(this.m_configFilePath, Regex.Replace(this.m_configFilePath, "config.cfg", "config_backup.cfg"));
				m_reader = new StreamReader(this.m_configFilePath);
				this.m_configFileContents = m_reader.ReadToEnd();
				m_reader.DiscardBufferedData();
				m_reader.Close();
				m_reader = null;
			}
			catch(Exception e)
			{ 
				e.ToString();
				contFlag = false;				
			}
			#endregion

			// READ THE CONTENTS OF THE USERCONFIG FILE INTO THE CONFIGFILECONTENTS STRING
			#region DONE
			try
			{
				m_reader = new StreamReader(this.m_userFilePath);
				this.m_userFileContents = m_reader.ReadToEnd();
				m_reader.DiscardBufferedData();
				m_reader.Close();
				m_reader = null;
			}
			catch(Exception e)
			{
				e.ToString();
				m_writer = new StreamWriter(this.m_userFilePath, false);
				m_writer.Write("");
				m_writer.Flush();
				m_writer.Close();
				m_writer = null;
				this.m_userFileContents = "";
			}
			#endregion

			// ITERATE THROUGH THE CZBIND FILE AND ADD ALL BINDS TO THE CURRENT BIND LISTBOX
			#region DONE
			try
			{
				m_reader = new StreamReader(this.m_bindFilePath);
				this.m_binFileContents = m_reader.ReadToEnd();
				m_reader.DiscardBufferedData();
				m_reader.Close();
				m_reader = null;
			}
			catch(Exception e)
			{
				e.ToString();
				contFlag = false;
				m_writer = new StreamWriter(this.m_bindFilePath);
				m_writer.Write("");
				m_writer.Flush();
				m_writer.Close();
				m_writer = null;
			}
			#endregion

			if(this.m_configFileContents != "")
			{
				try
				{
					// RATE
					#region DONE
					string temp_rate="";
					try
					{
						temp_rate = this.m_rate.GetValue("Rate").ToString();
					}
					catch(Exception e)
					{e.ToString();}
					if(temp_rate != "")
					{
						this.rate.Value = decimal.Parse(temp_rate);
					}
					#endregion

					// AUTO WEAPON SWITCH
					#region DONE
					if(Regex.Match(this.m_configFileContents, @"_cl_autowepswitch\s\x22.*\x22").Success)
					{
						if(Regex.Match(this.m_configFileContents, @"_cl_autowepswitch\s\x221\x22").Success)
							this._cl_autoweaponswitch.Checked = true;
						if(Regex.Match(this.m_configFileContents, @"_cl_autowepswitch\s\x220\x22").Success)
							this._cl_autoweaponswitch.Checked = false;
					}
					#endregion

					// RIGHT HANDED PLAYER MODEL
					#region DONE
					if(Regex.Match(this.m_configFileContents, @"cl_righthand\s\x22.*\x22").Success)
					{
						if(Regex.Match(this.m_configFileContents, @"cl_righthand\s\x221\x22").Success)
							this.cl_righthand.Checked = true;
						if(Regex.Match(this.m_configFileContents, @"cl_righthand\s\x220\x22").Success)
							this.cl_righthand.Checked = false;
					}
					#endregion

					// GET THE VALUE OF VGUI MENU OPTION
					#region DONE
					if(Regex.Match(this.m_configFileContents, @"setinfo\s\x22_vgui_menus\x22\s\x22.*\x22").Success)
					{
						if(Regex.Match(this.m_configFileContents, @"setinfo\s\x22_vgui_menus\x22\s\x221\x22").Success)
							this._vgui_menus.Checked = true;
						if(Regex.Match(this.m_configFileContents, @"setinfo\s\x22_vgui_menus\x22\s\x220\x22").Success)
							this._vgui_menus.Checked = false;
					}
					#endregion

					// GET THE CONTENTS OF THE CONSOLE COLOR
					#region DONE
					string[] color = Regex.Replace(Regex.Match(this.m_configFileContents, @"con_color\s\x22.*\x22\r\n").Value,@"(con_color\s\x22)|(\x22\r\n)","").Split(' ');
					try
					{
						this.consoleColorSample.ForeColor = Color.FromArgb(int.Parse(color[0]),int.Parse(color[1]),int.Parse(color[2]));
					}
					catch(Exception e){e.ToString();}
					#endregion

					// GET THE VALUE OF THE NETGRAPH
					#region DONE
					temp = Regex.Match(this.m_configFileContents, @"net_graph\s\x22[0-3]\x22").Value;
					switch(temp)
					{
						case "net_graph \"0\"":
							this.net_graph_0.Checked = true;
							break;
						case "net_graph \"1\"":
							this.net_graph_1.Checked = true;
							break;
						case "net_graph \"2\"":
							this.net_graph_2.Checked = true;
							break;
						case "net_graph \"3\"":
							this.net_graph_3.Checked = true;
							break;
						default:
							this.net_graph_0.Checked = true;
							break;
					}
					#endregion

					// GET THE VALUE OF THE NETGRAPHPOS
					#region DONE
					temp = Regex.Match(this.m_configFileContents, @"net_graphpos\s\x22[1-3]\x22").Value;
					switch(temp)
					{
						case "net_graphpos \"1\"":
							this.net_grappos_1.Checked = true;
							break;
						case "net_graphpos \"2\"":
							this.net_grappos_2.Checked = true;
							break;
						case "net_graphpos \"3\"":
							this.net_grappos_3.Checked = true;
							break;
						default:
							this.net_grappos_3.Checked = true;
							break;
					}
					#endregion

					// GET FRAMES PER SECOND MAX
					#region DONE
					temp = Regex.Match(this.m_configFileContents, @"fps_max\s\x22\d{1,3}\x22").Value;
					split = Regex.Split(temp,"\x22");
					this.Fps_Range.Value = decimal.Parse(split[1]);
					#endregion

					// GET THE VALUE OF WEATHER CONDITIONS
					#region DONE
					temp = Regex.Match(this.m_configFileContents, @"cl_weather\s\x22.*\x22").Value;
					split = Regex.Split(temp, "\x22");
					if(split[1] == "1")
						this.cl_weather.Checked = true;
					if(split[1] == "0")
						this.cl_weather.Checked = false;
					#endregion

					// GET THE VALUE OF DYNAMIC CROSS HAIRS
					#region DONE
					temp = Regex.Match(this.m_configFileContents, @"cl_dynamiccrosshair\s\x22[0,1]\x22").Value;
					split = Regex.Split(temp, "\x22");
					if(split[1] == "1")
						this.DynamicCrossHairs.Checked = true;
					if(split[1] == "0")
						this.DynamicCrossHairs.Checked = false;
					#endregion

					// GET THE VALUE OF FAST SWITCH
					#region DONE
					temp = Regex.Match(this.m_configFileContents, @"hud_fastswitch\s\x22[0,1]\x22").Value;
					split = Regex.Split(temp, "\x22");
					if(split[1] == "1")
						this.hud_fastswitch.Checked = true;
					if(split[1] == "0")
						this.hud_fastswitch.Checked = false;
					#endregion

					// GET THE VALUE OF CENTER PLAYER NAMES
					#region DONE
					temp = Regex.Match(this.m_configFileContents, @"hud_centerid\s\x22[0,1]\x22").Value;
					split = Regex.Split(temp, "\x22");
					if(split[1] == "1")
						this.hud_centerID.Checked = true;
					if(split[1] == "0")
						this.hud_centerID.Checked = false;
					#endregion

					// GET THE PLAYER NAME
					#region DONE
					temp = Regex.Match(this.m_configFileContents, @"name\s\x22.+\x22").Value;
					split = Regex.Split(temp, "\x22");
					this.PlayerName.Text = split[1];
					#endregion

					// IF THERE IS NO CALL TO OUR CUSTOM BIND FILE IN THE CONFIG FILE WRITE IT.
					#region DONE
					if(!Regex.Match(this.m_userFileContents,@"exec\sczbind.cfg\r\n").Success)
					{
						m_writer = new StreamWriter(this.m_userFilePath, false);
						if(Regex.Match(this.m_userFileContents, @".+\r\n$").Success)
						{
							this.m_userFileContents = "//~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~\r\n// CZ BIND MAKER\r\n//  2003 Steven Whitley (aka [CZ] Qw4z0)\r\n// Custom Binds For Counter-Strike 1.6\r\n// Last Updated On "+DateTime.Now+"\r\n//\r\n// Visit http://www.bindmaker.org For Updates\r\n//\r\n//~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~\r\n\r\n"
								+ this.m_userFileContents + "exec czbind.cfg\r\n";
						}
						else
						{
							this.m_userFileContents = "//~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~\r\n// CZ BIND MAKER\r\n//  2003 Steven Whitley (aka [CZ] Qw4z0)\r\n// Custom Binds For Counter-Strike 1.6\r\n// Last Updated On "+DateTime.Now+"\r\n//\r\n// Visit http://www.bindmaker.org For Updates\r\n//\r\n//~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~\r\n\r\n"
								+ this.m_userFileContents + "\r\nexec czbind.cfg\r\n";
						}
						m_writer.Write(this.m_userFileContents);
						m_writer.Flush();
						m_writer.Close();
						m_writer = null;
					}
					#endregion
				}
				catch(Exception e)
				{
					// CATCH & DO SOMETHING LATER
					e.ToString();
				}
			}

			if(this.m_binFileContents != "" && contFlag)
			{
				split = Regex.Split(this.m_binFileContents, "\r\n");
				foreach(string s in split)
				{
					if(Regex.Match(s, @"^bind\s\x22.*").Success)
						this.CurrentBind_ListBox.Items.Add(s);
				}
			}
			#endregion
		}
#if VERSIONING
		/// <summary>
		/// Internal built in version control
		/// </summary>
		private void CheckVersion()
		{
			#region
			try
			{
				WebClient w = new WebClient();
				w.DownloadFile("http://www.bindmaker.org/releases/version.dat","version.cvs");				
				StreamReader r = new StreamReader("version.cvs");
				string[] temp = Regex.Split(r.ReadToEnd(),"\r\n");
				if(APP_VERSION < double.Parse(temp[0]))
				{
					Version v = new Version(APP_VERSION,double.Parse(temp[0]),temp[1]);
					v.ShowDialog(this);
					if(v.DialogResult == DialogResult.Abort)
					{
						v.Dispose();
					}
				}
			}
			catch(Exception e)
			{
				e.ToString();
			}
			#endregion
		}
#endif
		/// <summary>
		/// Method used to write the buy settings to czbind.cfg
		/// </summary>
		private void WriteBinds()
		{
			#region WRITE BINDS TO CZBIND.CFG
			if(this.CurrentBind_ListBox.Items.Count > 0)
			{
				// WRITE BINDS TO CZBIND.CFG
				#region DONE
				try
				{
					if(File.Exists(this.m_bindFilePath))
						File.Copy(this.m_bindFilePath, this.m_bindFilePath+".backup", true);
					m_writer = new StreamWriter(this.m_bindFilePath,false);
					m_writer.WriteLine("//~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~\r\n//\r\n//           CZ BIND MAKER\r\n//  2003 Steven Whitley (aka [CZ] Qw4z0)\r\n// Custom Binds For Counter-Strike 1.6\r\n// Last Updated On " + DateTime.Now + "\r\n//\r\n// Visit http://www.bindmaker.org \r\n//  For Updates\r\n//\r\n//~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~=~\r\n\r\n");
					for(int i = 0; i < this.CurrentBind_ListBox.Items.Count; i++)
					{
						m_writer.WriteLine(this.FormatBind(this.CurrentBind_ListBox.Items[i].ToString()));
					}
					m_writer.Flush();
					m_writer.Close();
					m_writer = null;
				}
				catch(Exception e)
				{
					e.ToString();
					MessageBox.Show("CZ Bind Maker Failed to write the czbind.cfg file","Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
				#endregion				
			}
			#endregion

			#region WRITE CONFIG FILE CHANGES
			try
			{
				if(this.m_configFileContents != "")
				{
					// RATE
					#region DONE
					try
					{
						this.m_rate.SetValue("Rate", this.rate.Value.ToString());
						this.m_rKey.SetValue("Rate", this.rate.Value.ToString());
					}
					catch(Exception subE)
					{
						subE.ToString();
						MessageBox.Show("Failed to write \"Rate\" to registry","Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				
					#endregion

					// AUTO WEAPON SWITCH
					#region DONE
					if(this._cl_autoweaponswitch.Checked)
						this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"_cl_autowepswitch\s\x22.*\x22\r\n", "_cl_autowepswitch \"1\"\r\n");
					if(!this._cl_autoweaponswitch.Checked)
						this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"_cl_autowepswitch\s\x22.*\x22\r\n", "_cl_autowepswitch \"0\"\r\n");
					#endregion

					// RIGHT HANDED PLAYER MODEL
					#region DONE
					if(this.cl_righthand.Checked)
						this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"cl_righthand\s\x22.*\x22", "cl_righthand \"1\"");
					if(!this.cl_righthand.Checked)
						this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"cl_righthand\s\x22.*\x22", "cl_righthand \"0\"");
					#endregion

					// VGUI
					#region DONE
					if(Regex.Match(this.m_configFileContents, @"setinfo\s\x22_vgui_menus\x22\s\x22.{1}\x22").Success)
					{
						if(this._vgui_menus.Checked)
							this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"setinfo\s\x22_vgui_menus\x22\s\x22.{1}\x22","setinfo \"_vgui_menus\" \"1\"");
						if(!this._vgui_menus.Checked)
							this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"setinfo\s\x22_vgui_menus\x22\s\x22.{1}\x22","setinfo \"_vgui_menus\" \"0\"");
					}
					else
					{
						if(this._vgui_menus.Checked)
							this.m_configFileContents += "setinfo \"_vgui_menus\" \"1\"";
						if(!this._vgui_menus.Checked)
							this.m_configFileContents += "setinfo \"_vgui_menus\" \"0\"";
					}
					#endregion

					// RE-WRITE THE CONSOLE COLOR IN THE CONFIG FILE
					#region DONE
					if(this.m_consoleColor != "")
						this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"con_color\s\x22.*\x22\r\n", String.Format("con_color \"{0}\"\r\n", this.m_consoleColor));
					if(this.m_consoleColor == "")
						this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"con_color\s\x22.*\x22\r\n", String.Format("con_color \"{0}\"\r\n","255 128 0"));
					#endregion

					// NET GRAPH
					#region DONE
					int netgraph = this.net_graph_0.Checked?0:(
						this.net_graph_1.Checked?1:(
						this.net_graph_2.Checked?2:(
						this.net_graph_3.Checked?3:0)));
					this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"net_graph\s\x22.\x22\r\n","net_graph \""+netgraph+"\"\r\n");
					#endregion

					// NET GRAPH POSITION
					#region DONE
					int netgraphpos = this.net_grappos_1.Checked?1:(
						this.net_grappos_2.Checked?2:(
						this.net_grappos_3.Checked?3:0));
					this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"net_graphpos\s\x22.\x22\r\n","net_graphpos \""+netgraphpos+"\"\r\n");
					#endregion

					// FPS MAX
					#region DONE
					this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"fps_max\s\x22.*\x22\r\n","fps_max \""+this.Fps_Range.Value.ToString()+"\"\r\n");
					#endregion

					// WEATHER CONDITIONS
					#region DONE
					string weather = "0";
					if(this.cl_weather.Checked)
						weather = "1";
					this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"cl_weather\s\x22.*\x22\r\n", "cl_weather \""+weather+"\"\r\n");
					#endregion

					// DYNAMIC CROSS HAIRS
					#region DONE
					string crosshairs = "0";
					if(this.DynamicCrossHairs.Checked)
						crosshairs = "1";
					this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"cl_dynamiccrosshair\s\x22.*\x22\r\n", "cl_dynamiccrosshair \""+crosshairs+"\"\r\n");
					#endregion

					// FAST SWITCH
					#region DONE
					string fastSwitch = "0";
					if(this.hud_fastswitch.Checked)
						fastSwitch = "1";
					this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"hud_fastswitch\s\x22.*\x22\r\n", "hud_fastswitch \""+fastSwitch+"\"\r\n");
					#endregion

					// CENTER PLAYER NAMES
					#region DONE
					string centerName = "0";
					if(this.hud_centerID.Checked)
						centerName = "1";
					this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"hud_centerid\s\x22.*\x22\r\n", "hud_centerid \""+centerName+"\"\r\n");
					#endregion

					// PLAYER NAME
					#region DONE
					if(this.PlayerName.Text != "")
						this.m_configFileContents = Regex.Replace(this.m_configFileContents, @"name\s\x22.*\x22\r\n", "name \""+this.PlayerName.Text+"\"\r\n");
					#endregion

					// WRITE THE ABOVE CHANGES TO THE CONFIG.CFG FILE
					#region DONE
					m_writer = new StreamWriter(this.m_configFilePath,false);
					m_writer.Write(this.m_configFileContents);
					m_writer.Flush();
					m_writer.Close();
					m_writer = null;
					#endregion
				}
			}
			catch(Exception e)
			{
				e.ToString();
				MessageBox.Show("CZ Bind Maker Failed to write changes to the config file","Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			#endregion
		}
		/// <summary>
		/// Method Used in formatting the current bind settings list string
		/// into a fully qualified Counter-Strike 1.6 formatted key bind
		/// </summary>
		/// String from Current Bind Settings list box
		/// <param name="s">
		/// </param>
		/// <returns>
		/// Returns a fully qualified Counter-Strike 1.6 formatted key bind.
		/// </returns>
		private string FormatBind(string s)
		{
			#region
			// FORMATS THE BIND INTO THE OFFICIAL
			// BIND FORMAT = bind "key" "command"
			s = s.TrimEnd(' ');
			string[] temp = {""};
			string bindString = "";
			if(Regex.Match(s, @"bind\s\x22.*\x22\s\x22.*\x22").Success)
				bindString = s;
			if(s != "" && bindString != s)
			{
				temp = Regex.Split(s,@"\s->\s");
				if(temp[1] != "")
				{
					bindString = String.Format("bind \"{0}\" \"{1}\"",this.MatchKey(temp[0]),this.GetParameters(temp[1]));
				}
			}
			return bindString;
			#endregion
		}
		/// <summary>
		/// Method used to get the fully qualified key name for each key
		/// </summary>
		/// <param name="s">String of the key inside the Current Bind Settings list box</param>
		/// <returns>The fully qualified CS1.6 key name for each key</returns>
		private string MatchKey(string s)
		{
			#region
			string key = "";
			switch(s)
			{
				case "F1 ":
					key = s.Trim();
					break;
				case "F2 ":
					key = s.Trim();
					break;
				case "F3 ":
					key = s.Trim();
					break;
				case "F4 ":
					key = s.Trim();
					break;
				case "F5 ":
					key = s.Trim();
					break;
				case "F6 ":
					key = s.Trim();
					break;
				case "F7 ":
					key = s.Trim();
					break;
				case "F8 ":
					key = s.Trim();
					break;
				case "F9 ":
					key = s.Trim();
					break;
				case "F10 ":
					key = s.Trim();
					break;
				case "F11 ":
					key = s.Trim();
					break;
				case "F12 ":
					key = s.Trim();
					break;
				case "- ":
					key = s.Trim();
					break;
				case "= ":
					key = s.Trim();
					break;
				case "1 ":
					key = s.Trim();
					break;
				case "2 ":
					key = s.Trim();
					break;
				case "3 ":
					key = s.Trim();
					break;
				case "4 ":
					key = s.Trim();
					break;
				case "5 ":
					key = s.Trim();
					break;
				case "6 ":
					key = s.Trim();
					break;
				case "7 ":
					key = s.Trim();
					break;
				case "8 ":
					key = s.Trim();
					break;
				case "9 ":
					key = s.Trim();
					break;
				case "0 ":
					key = s.Trim();
					break;
				case "Q ":
					key = s.Trim().ToLower();
					break;
				case "W ":
					key = s.Trim().ToLower();
					break;
				case "E ":
					key = s.Trim().ToLower();
					break;
				case "R ":
					key = s.Trim().ToLower();
					break;
				case "T ":
					key = s.Trim().ToLower();
					break;
				case "Y ":
					key = s.Trim().ToLower();
					break;
				case "U ":
					key = s.Trim().ToLower();
					break;
				case "I ":
					key = s.Trim().ToLower();
					break;
				case "O ":
					key = s.Trim().ToLower();
					break;
				case "P ":
					key = s.Trim().ToLower();
					break;
				case "[ ":
					key = s.Trim();
					break;
				case "] ":
					key = s.Trim();
					break;
				case "\\ ":
					key = s.Trim();
					break;
				case "A ":
					key = s.Trim().ToLower();
					break;
				case "S ":
					key = s.Trim().ToLower();
					break;
				case "D ":
					key = s.Trim().ToLower();
					break;
				case "F ":
					key = s.Trim().ToLower();
					break;
				case "G ":
					key = s.Trim().ToLower();
					break;
				case "H ":
					key = s.Trim().ToLower();
					break;
				case "J ":
					key = s.Trim().ToLower();
					break;
				case "K ":
					key = s.Trim().ToLower();
					break;
				case "L ":
					key = s.Trim().ToLower();
					break;
				case "\" ":
					key = s.Trim();
					break;
				case "Z ":
					key = s.Trim().ToLower();
					break;
				case "X ":
					key = s.Trim().ToLower();
					break;
				case "C ":
					key = s.Trim().ToLower();
					break;
				case "V ":
					key = s.Trim().ToLower();
					break;
				case "B ":
					key = s.Trim().ToLower();
					break;
				case "N ":
					key = s.Trim().ToLower();
					break;
				case "M ":
					key = s.Trim().ToLower();
					break;
				case "/ ":
					key = s.Trim();
					break;
				case "~ ":
					key = "`";
					break;
				case "< ":
					key = ",";
					break;
				case "> ":
					key = ".";
					break;
				case "* ":
					key = "*";
					break;
				case "; ":
					key = "SEMICOLON";
					break;
				case "Escape ":
					key = "ESCAPE";
					break;
				case "Enter ":
					key = "ENTER";
					break;
				case "Shift ":
					key = "";
					break;
				case "Caps Lock":
					key = "CAPSLOCK";
					break;
				case "Control ":
					key = "CTRL";
					break;
				case "Alt ":
					key = "ALT";
					break;
				case "Space ":
					key = "SPACE";
					break;
				case "Key Pad 1 ":
					key = "KP_END";
					break;
				case "Key Pad 2 ":
					key = "KP_DOWNARROW";
					break;
				case "Key Pad 3 ":
					key = "KP_PGDN";
					break;
				case "Key Pad 4 ":
					key = "KP_LEFTARROW";
					break;
				case "Key Pad 5 ":
					key = "KP_5";
					break;
				case "Key Pad 6 ":
					key = "KP_RIGHTARROW";
					break;
				case "Key Pad 7 ":
					key = "KP_HOME";
					break;
				case "Key Pad 8 ":
					key = "KP_UPARROW";
					break;
				case "Key Pad 9 ":
					key = "KP_PGUP";
					break;
				case "Key Pad 0 ":
					key = "KP_INS";
					break;
				case "Key Pad . ":
					key = "KP_DEL";
					break;
				case "Key Pad + ":
					key = "KP_PLUS";
					break;
				case "Key Pad - ":
					key = "KP_MINUS";
					break;
				case "Key Pad Enter ":
					key = "KP_ENTER";
					break;
				case "Key Pad / ":
					key = "KP_SLASH";
					break;
				case "Pause ":
					key = "PAUSE";
					break;
				case "Right Arrow ":
					key = "RIGHTARROW";
					break;
				case "Left Arrow ":
					key = "LEFTARROW";
					break;
				case "Down Arrow ":
					key = "DOWNARROW";
					break;
				case "Up Arrow ":
					key = "UPARROW";
					break;
				case "End ":
					key = "END";
					break;
				case "Delete ":
					key = "DEL";
					break;
				case "Page Up ":
					key = "PGUP";
					break;
				case "Page Down ":
					key = "PGDN";
					break;
				case "Home ":
					key = "HOME";
					break;
				case "Insert ":
					key = "INS";
					break;
				case "Bksp ":
					key = "BACKSPACE";
					break;
				case "Tab ":
					key = "TAB";
					break;
			}
			return key;
			#endregion
		}
		/// <summary>
		/// Returns the bind parameters in Counter-Strike 1.6 binding format
		/// </summary>
		/// <param name="s">list of buy item names as listed in the list box</param>
		/// <returns>the fully qualified buy keyword for each item.</returns>
		private string GetParameters(string s)
		{
			#region
			string binds = "";
			// ADD STOPSOUND FIRST IF IT EXISTS
			if(Regex.Match(s,@"Stop\sSound").Success)
			{
				binds = "stopsound;";
				s = Regex.Replace(s, @"Stop\sSound", "");
			}

			// DETERMINE IF WE HAVE A SAY, TEAM SAY OR RADIO COMMANDS IN THE BIND LIST
			if(Regex.Match(s, @"(Say:\s)|(Team\sSay\s)|(Radio\sCommand:\s)").Success)
			{
				// ADD A TEAM SAY ITEM TO THE LIST IF IT EXISTS
				if(Regex.Match(s, @"Team\sSay:\s.*;").Success)
				{
					// COPY THE TEAM SAY BLOCK TO SAYTEMP
					string sayTemp = Regex.Match(s, @"(\s\+\sTeam\sSay:\s\x22.*\x22;)").Value;
					// REMOVE THE TEXT "TEAM SAY: "
					sayTemp = Regex.Replace(sayTemp, @"\s\+\sTeam\sSay:\s", "");
					sayTemp = sayTemp.Replace("\x22","");
					// ADD THE BIND += "SAY TEXT";
					binds += "say_team "+sayTemp;
					// REMOVE THE SAY TEAM LINE FROM THE LIST
					s = Regex.Replace(s, @"\s\+\sTeam\sSay:\s\x22.*\x22;", "");
				}
				// ADD THE SAY ITEM TO THE LIST IF IT EXISTS
				if(Regex.Match(s, @"Say:\s.*;").Success)
				{
					// COPY THE SAY BLOCK TO SAYTEMP
					string sayTemp = Regex.Match(s, @"(\s\+\sSay:\s\x22.*\x22;)").Value;
					// REMOVE THE TEXT "SAY: "
					sayTemp = Regex.Replace(sayTemp, @"\s\+\sSay:\s", "");
					sayTemp = sayTemp.Replace("\x22","");
					// ADD THE BIND += "SAY TEXT";
					binds += "say "+sayTemp;
					// REMOVE THE SAY LINE FROM THE LIST
					s = Regex.Replace(s, @"\s\+\sSay:\s\x22.*\x22;", "");
				}
				// ADD THE RADIO COMMANDS IF THEY EXIST
				if(Regex.Match(s, @"Radio\sCommand:\s.*;").Success)
				{
					// COPY THE RADIO COMMAND BIT TO RADIOTEMP
					string radioTemp = Regex.Match(s, @"\s\+\sRadio\sCommand:\s.*;").Value;
					// REMOVE THE RADIO COMAND: BIT
					radioTemp = Regex.Replace(radioTemp, @"\s\+\sRadio\sCommand:\s", "");
					// ADD THE RADIO COMMAND TO THE BIND LIST
					//binds += radioTemp;
					switch(radioTemp)
					{
						case "Cover me;":
							binds += "coverme;";
							break;
						case "You take the point;":
							binds += "takepoint;";
							break;
						case "Hold this position;":
							binds += "holdpos;";
							break;
						case "Re-group team;":
							binds += "regroup;";
							break;
						case "Follow me;":
							binds += "followme;";
							break;
						case "Taking fire;":
							binds += "takingfire;";
							break;
						case "Go Go Go;":
							binds += "go;";
							break;
						case "Fall back;":
							binds += "fallback;";
							break;
						case "Stick together team;":
							binds += "sticktog;";
							break;
						case "Get in position;":
							binds += "getinpos;";
							break;
						case "Storm the front;":
							binds += "stormfront;";
							break;
						case "Report in team;":
							binds += "report;";
							break;
						case "Roger that/ Affirmative;":
							binds += "roger;";
							break;
						case "Enemy spotted;":
							binds += "enemyspot;";
							break;
						case "Need backup;":
							binds += "needbackup;";
							break;
						case "Sector clear;":
							binds += "sectorclear;";
							break;
						case "I'm in position;":
							binds += "inposition;";
							break;
						case "Reporting in;":
							binds += "reportingin;";
							break;
						case "Get out of there;":
							binds += "getout;";
							break;
						case "Negative;":
							binds += "negative;";
							break;
						case "Enemy down;":
							binds += "enemydown;";
							break;
						default:
							break;	
					}
					//REMOVE THE RADIO COMMAND STUFF FROM THE LIST
					s = Regex.Replace(s, @"\s\+\sRadio\sCommand:\s\w;", "");
				}
			}

			string[] temp = Regex.Split(s,@"\s\+\s");
			for(int i = 0; i <= 4; i++)
			{
				for(int j = 0; j < temp.Length; j++)
				{
					if(i == 0)
					{
						// ADD WEAPONS IF THEY EXIST
						switch(temp[j])
						{
							#region
							case "Glock":
								binds += "glock;";
								break;
							case "Usp":
								binds += "usp;";
								break;
							case "P228":
								binds += "p228;";
								break;
							case "Deagle":
								binds += "deagle;";
								break;
							case "Dualies(Elites)":
								binds += "elites;";
								break;
							case "Fn57":
								binds += "fn57;";
								break;
							case "Shotgun(m3)":
								binds += "m3;";
								break;
							case "Auto shotty(xm1014)":
								binds += "xm1014;";
								break;
							case "Mac10":
								binds += "mac10;";
								break;
							case "Tmp":
								binds += "tmp;";
								break;
							case "Mp5":
								binds += "mp5;";
								break;
							case "Ump45":
								binds += "ump45;";
								break;
							case "P90":
								binds += "p90;";
								break;
							case "Scout":
								binds += "scout;";
								break;
							case "Sg550":
								binds += "sg550;";
								break;
							case "Awp":
								binds += "awp;";
								break;
							case "G3sg1":
								binds += "g3sg1;";
								break;
							case "Famas / Galil":
								binds += "famas;galil;";
								break;
							case "Colt / Ak":
								binds += "m4a1;ak47;";
								break;
							case "Aug / Sig":
								binds += "aug;sg552;";
								break;
							case "Para(m249)":
								binds += "m249;";
								break;
								#endregion
						}
					}
					if(i == 1)
					{
						// ADD AMMO IF IT EXISTS
						switch(temp[j])
						{
							#region
							case "Primary Ammo":
								binds += "primammo;";
								break;
							case "Secondary Ammo":
								binds += "secammo;";
								break;
							#endregion
						}
					}
					if(i == 2)
					{
						// ADD INVENTORY ITEMS IF THEY EXIST
						switch(temp[j])
						{
							#region
							case "Defuser":
								binds += "defuser;";
								break;
							case "Shield":
								binds += "shield;";
								break;
							case "Vest":
								binds += "vest;";
								break;
							case "Vest & Helmet":
								binds += "vesthelm;";
								break;
							case "Night Vision Goggles":
								binds += "nvgs;";
								break;
							#endregion
						}
					}
					if(i == 3)
					{
						// ADD NADES IF THEY EXIST
						switch(temp[j])
						{
							#region
							case "Flash":
								binds += "flash;";
								break;
							case "Flash(x2)":
								binds += "flash;flash;";
								break;
							case "HE Grenade":
								binds += "hegren;";
								break;
							case "Smoke Grenade":
								binds += "sgren;";
								break;
							#endregion
						}
					}
				}
			}
			return binds;
			#endregion
		}

		/// <summary>
		/// clears all checked items in the buy listing.  
		/// 
		/// REMEMBER IF YOU ADD ANY ITEMS TO THE LIST OF ITEMS TO BIND TO UPDATE IT HERE ALSO.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void ClearBindOptions()
		{
			#region
			this.BindOptions_ListBox.Items.Clear();
			this.BindOptions_ListBox.Items.AddRange(new object[] {
																	 "Aug / Sig",
																	 "Auto shotty(xm1014)",
																	 "Awp",
																	 "Colt / Ak",
																	 "Deagle",
																	 "Defuser",
																	 "Dualies(Elites)",
																	 "Famas / Galil",
																	 "Flash",
																	 "Flash(x2)",
																	 "Fn57",
																	 "G3sg1",
																	 "Glock",
																	 "HE Grenade",
																	 "Mac10",
																	 "Mp5",
																	 "Night Vision Goggles",
																	 "P228",
																	 "P90",
																	 "Para(m249)",
																	 "Primary Ammo",
																	 "Scout",
																	 "Secondary Ammo",
																	 "Sg550",
																	 "Shield",
																	 "Shotgun(m3)",
																	 "Smoke Grenade",
																	 "Stop Sound",
																	 "Tmp",
																	 "Ump45",
																	 "Usp",
																	 "Vest",
																	 "Vest & Helmet"});
			this.radioCommand_comboBoxItem.ComboBox.SelectedIndex = -1;
			this.say_teamsay_textBox.Text = "";
			#endregion
		}

		/// <summary>
		/// The Property which contains the string value of button which has been selected 
		/// on the keyboard layout.
		/// </summary>
		private string ButtonPressed
		{
			#region
			get
			{
				return  esc.Checked?"Escape ":(
					f1.Checked?"F1 ":(
					f2.Checked?"F2 ":(
					f3.Checked?"F3 ":(
					f4.Checked?"F4 ":(
					f5.Checked?"F5 ":(
					f6.Checked?"F6 ":(
					f7.Checked?"F7 ":(
					f8.Checked?"F8 ":(
					f9.Checked?"F9 ":(
					f10.Checked?"F10 ":(
					f11.Checked?"F11 ":(
					f12.Checked?"F12 ":(
					tilda.Checked?"~ ":(
					one.Checked?"1 ":(
					two.Checked?"2 ":(
					three.Checked?"3 ":(
					four.Checked?"4 ":(
					five.Checked?"5 ":(
					six.Checked?"6 ":(
					seven.Checked?"7 ":(
					eight.Checked?"8 ":(
					nine.Checked?"9 ":(
					zero.Checked?"0 ":(
					dash.Checked?"- ":(
					equals.Checked?"= ":(
					backspace.Checked?"Bksp ":(
					tab.Checked?"Tab ":(
					qkey.Checked?"Q ":(
					wkey.Checked?"W ":(
					ekey.Checked?"E ":(
					rkey.Checked?"R ":(
					tkey.Checked?"T ":(
					ykey.Checked?"Y ":(
					ukey.Checked?"U ":(
					ikey.Checked?"I ":(
					okey.Checked?"O ":(
					pkey.Checked?"P ":(
					open_square_brace_key.Checked?"[ ":(
					closed_square_brace_key.Checked?"] ":(
					backslash.Checked?"\\ ":(
					caps.Checked?"Caps Lock":(
					akey.Checked?"A ":(
					skey.Checked?"S ":(
					dkey.Checked?"D ":(
					fkey.Checked?"F ":(
					gkey.Checked?"G ":(
					hkey.Checked?"H ":(
					jkey.Checked?"J ":(
					kkey.Checked?"K ":(
					lkey.Checked?"L ":(
					semicol.Checked?"; ":(
					quotes.Checked?"\" ":(
					enter.Checked?"Enter ":(
					lshift.Checked?"Shift ":(
					zkey.Checked?"Z ":(
					xkey.Checked?"X ":(
					ckey.Checked?"C ":(
					vkey.Checked?"V ":(
					bkey.Checked?"B ":(
					nkey.Checked?"N ":(
					mkey.Checked?"M ":(
					open_tag.Checked?"< ":(
					closed_tag.Checked?"> ":(
					forwardslash.Checked?"/ ":(
					rshift.Checked?"Shift ":(
					lctrl.Checked?"Control ":(
					lalt.Checked?"Alt ":(
					space.Checked?"Space ":(
					ralt.Checked?"Alt ":(
					rctrl.Checked?"Control ":(
					kp_0.Checked?"Key Pad 0 ":(
					kp_dot.Checked?"Key Pad . ":(
					kp_rtn.Checked?"Key Pad Enter ":(
					kp_3.Checked?"Key Pad 3 ":(
					kp_2.Checked?"Key Pad 2 ":(
					kp_1.Checked?"Key Pad 1 ":(
					kp_6.Checked?"Key Pad 6 ":(
					kp_5.Checked?"Key Pad 5 ":(
					kp_4.Checked?"Key Pad 4 ":(
					kp_plus.Checked?"Key Pad + ":(
					kp_9.Checked?"Key Pad 9 ":(
					kp_8.Checked?"Key Pad 8 ":(
					kp_7.Checked?"Key Pad 7 ":(
					kp_dash.Checked?"Key Pad - ":(
					astrisk.Checked?"* ":(
					kp_forwardslash.Checked?"Key Pad / ":(
					pause.Checked?"Pause ":(
					rightarrow.Checked?"Right Arrow ":(
					leftarrow.Checked?"Left Arrow ":(
					downarrow.Checked?"Down Arrow ":(
					uparrow.Checked?"Up Arrow ":(
					pagedown.Checked?"Page Down ":(
					end.Checked?"End ":(
					del.Checked?"Delete ":(
					pageup.Checked?"Page Up ":(
					home.Checked?"Home ":(
					ins.Checked?"Insert ":NO_KEY_PRESSED
					)))))))))))))))))))))))))))))))))))))))))
					)))))))))))))))))))))))))))))))))))))))))
					)))))))))))))));
			}
			#endregion
		}
		/// <summary>
		/// Contains the concatinated buy items which were selected
		/// </summary>
		private string BindParameters
		{
			#region
			get
			{
				string temp = "";


				for(int i = 0; i < this.BindOptions_ListBox.CheckedItems.Count; i++)
				{
					temp += this.BindOptions_ListBox.CheckedItems[i].ToString();
					if(this.BindOptions_ListBox.CheckedItems.Count > 1 && i+1 < this.BindOptions_ListBox.CheckedItems.Count)
						temp += " + ";
				}

				// ADD SAY/TEAM SAY TEXT TO THE BIND LIST
				if(this.say_teamsay_textBox.Text.Trim() != "")
				{
					string say = this.say_teamsay_combobox.SelectedItem.ToString() == "Say"?"Say: \"":"Team Say: \"";
					temp += " + " + say + this.say_teamsay_textBox.Text+"\";";
				}
				// ADD RADIO COMMANDS TO THE BIND LIST
				if(this.radioCommand_comboBoxItem.ComboBox.SelectedIndex != -1)
				{
					temp += " + Radio Command: "+this.radioCommand_comboBoxItem.ComboBox.SelectedItem.ToString()+";";
				}


				return temp+"    ";
			}
			#endregion
		}
		/// <summary>
		/// Visit Code Zulu Website
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void PictureBox1_Click(object sender, System.EventArgs e)
		{
			#region
			System.Diagnostics.Process.Start("http://www.bindmaker.org");
			#endregion
		}
		/// <summary>
		/// Exit the Application
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void Exit_option_Click(object sender, System.EventArgs e)
		{
			#region
			Application.Exit();
			#endregion
		}

		/// <summary>
		/// Load the config file from a file dialog box
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void Config_option_Click(object sender, System.EventArgs e)
		{
			#region
			if(this.m_configFilePath == "")
			{
				if(this.ConfigFileFinder.ShowDialog(this) == DialogResult.OK)
				{
					this.m_configFilePath = this.ConfigFileFinder.FileName;
				}
			}
			else 
			{
				if(MessageBox.Show("You Already have your Config.cfg File Set,\nWould You Like to Choose another?","Config File is Already Set",MessageBoxButtons.OKCancel, MessageBoxIcon.Question) == DialogResult.OK)
				{
					if(this.ConfigFileFinder.ShowDialog(this) == DialogResult.OK)
					{
//########## TODO: ADD BIND FILE PATH, USERCONFIG FILE PATH AND OTHER PATHS HERE SO THAT THE FILE OPEN WORKS ###############
						this.m_configFilePath = this.ConfigFileFinder.FileName;
						this.LoadConfigFile();
					}
				}
			}
			#endregion
		}
		/// <summary>
		/// Clear all the checked boxes from the bind options box
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void ClearSelectedBinds_Click(object sender, System.EventArgs e)
		{
			#region CLEAR BIND OPTIONS
			this.ClearBindOptions();
			#endregion
		}

		/// <summary>
		/// Event for adding the selected items to the current bind settings list box
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void AddBind_button_Click(object sender, System.EventArgs e)
		{
			#region
			// IF NO BUTTON WAS SELECTED POP UP AN ERROR MESSAGE
			if(this.ButtonPressed == NO_KEY_PRESSED && this.CustomBind.Text == "bind \"key\" \"command\"")
			{
				MessageBox.Show("You Must First Select A Key To Bind!","Error, No Button Selected",MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			if(this.ButtonPressed != NO_KEY_PRESSED && this.CustomBind.Text != "" && this.BindOptions_ListBox.CheckedItems.Count == 0 && this.radioCommand_comboBoxItem.ComboBox.SelectedIndex == -1 && this.say_teamsay_textBox.Text == "")
			{
				MessageBox.Show("You Must Select an Item/Items To bind To This Key","Error No Items Selected",MessageBoxButtons.OK,MessageBoxIcon.Error);
			}
			bool radio_say = this.ButtonPressed == NO_KEY_PRESSED	&& (this.radioCommand_comboBoxItem.ComboBox.SelectedIndex > 0 || this.say_teamsay_textBox.Text != "");
			if(radio_say)
			{
				MessageBox.Show("You Must First Select A Key To Bind!","Error, No Button Selected",MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else if(!radio_say)
			{
				this.CurrentBind_ListBox.Items.Add(this.ButtonPressed + " -> " + this.BindParameters);
			}

			
			// ADD BIND DIRECTLY TO THE CURRENT BIND SETTINGS
			if(this.CustomBind.Text != "" && this.CustomBind.Text != "bind \"key\" \"command\"" && this.BindOptions_ListBox.CheckedItems.Count == 0)
			{
				this.CurrentBind_ListBox.Items.Add(this.CustomBind.Text);
				this.CustomBind.Clear();
			}
			
			// ADD SELECTED ITEMS AND KEYS TO THE CURRENT BIND SETTINGS LIST
			if(this.BindOptions_ListBox.CheckedItems.Count > 0  && this.ButtonPressed != NO_KEY_PRESSED && this.BindParameters != "")
			{
				// IF THE KEY BEING SUBMITTED FOR BINDING IS NOT ALREADY IN THE CURRENT 
				// BIND SETTINGS LIST, INDEX WILL CONTAIN -1.  OTHERWISE IT WILL CONTAIN
				// THE INDEX OF THE DUPLICATE KEY.
				int index = this.CurrentBind_ListBox.FindString(this.ButtonPressed);
				if(index == -1)
				{
					this.CurrentBind_ListBox.Items.Add(this.ButtonPressed + " -> " + this.BindParameters);
					// CLEAR CHECKED ITEMS AND PRESSED BUTTONS
					this.ClearBindOptions();
					this.esc.Checked = true;
					this.esc.Checked = false;
				}
				// IF THE KEY IS A DUPLICATE, ASK IF THEY WANT TO REPLACE THE BIND
				if(index != -1)
				{
					// IF YES, THEN INSERT IT AT INDEX'S POSITION
					if(MessageBox.Show("A Bind For This Key Already Exists!\nDo You Wish To Replace It?","Duplicate Key Exists", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation) == DialogResult.Yes)
					{
						this.CurrentBind_ListBox.Items[index] = this.ButtonPressed + " -> " + this.BindParameters;
					}
					// CLEAR CHECKED ITEMS AND PRESSED BUTTONS
					this.ClearBindOptions();
					this.esc.Checked = true;
					this.esc.Checked = false;
				}
			}
			#endregion
		}
		/// <summary>
		/// Opens up a browser to CZ Bind Maker website for support
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void Helpme_option_Click(object sender, System.EventArgs e)
		{
			#region
			if(MessageBox.Show("You will now be taken to the CZ Bind Maker Support forums\n"
				+"You will need to register (if you have not already) to post your request\n\n"
				+"This is the quickest, most personal way to get support for the application\n\n"
				+"Thanks,\n--Steve","Information", MessageBoxButtons.OKCancel, MessageBoxIcon.Information) == DialogResult.OK)
			{
				System.Diagnostics.Process.Start("http://www.bindmaker.org/modules.php?name=Forums&file=viewforum&f=5");
			}
			#endregion
		}
		/// <summary>
		/// Event for clearing the template text on the custom bind text box when 
		/// the cursor is placed inside it.
		/// </summary>
		/// <param name="sender">sending object</param>
		/// <param name="e">event arguments</param>
		private void CustomBind_Enter(object sender, System.EventArgs e)
		{
			#region
			esc.Checked = true;
			esc.Checked = false;
			this.ClearBindOptions();
			if(this.CustomBind.Text == "bind \"key\" \"command\"")
				this.CustomBind.Text = "";
			#endregion
		}

		/// <summary>
		/// Event for placing the template text back inside custom bind text box when 
		/// the cusor leaves the box.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void CustomBind_Leave(object sender, System.EventArgs e)
		{
			#region
			if(this.CustomBind.Text == "")
			{
				this.CustomBind.Text = "bind \"key\" \"command\"";
			}
			#endregion
		}

		/// <summary>
		/// When the choose console color button is pressed this method sets the 
		/// new console text color.
		/// </summary>
		/// <param name="sender">The object which triggered the event</param>
		/// <param name="e">The Event arguments</param>
		private void Consolecolor_Click(object sender, System.EventArgs e)
		{
			#region
			if(this.ConsoleColorPicker.ShowDialog(this) == DialogResult.OK)
			{
				this.m_consoleColor = this.ConsoleColorPicker.Color.R.ToString() + " " + this.ConsoleColorPicker.Color.G.ToString() + " " + this.ConsoleColorPicker.Color.B.ToString();
				this.consoleColorSample.ForeColor = this.ConsoleColorPicker.Color;
			}
			#endregion
		}
		/// <summary>
		/// Remove the selected bind from the current bind settings list
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void DeleteBind_option_Click(object sender, System.EventArgs e)
		{
			#region
			this.CurrentBind_ListBox.Items.Remove(this.CurrentBind_ListBox.SelectedItem);
			this.Save_Click(sender, e);
			#endregion
		}
		/// <summary>
		/// Show the About box
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void About_option_Click(object sender, System.EventArgs e)
		{
			#region
			About a = new About();
			a.ShowDialog(this);
			#endregion
		}
		/// <summary>
		/// De-Selects any selected button on the keyboard layout
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void Uncheckbuttons_option_Click(object sender, System.EventArgs e)
		{
			#region
			esc.Checked = true;
			esc.Checked = false;
			#endregion
		}
		/// <summary>
		/// Makes "RETURN" Key act the same as pressing the "Add Bind" Key
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void CustomBind_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
		{
			#region
			if(e.KeyChar == (char)13 && this.CustomBind.Text != "")
			{
				e.Handled = true;
				if(this.CustomBind.Text != "" && this.CustomBind.Text != "bind \"key\" \"command\"" && this.BindOptions_ListBox.CheckedItems.Count == 0)
				{
					this.CurrentBind_ListBox.Items.Add(this.CustomBind.Text);
					this.CustomBind.Clear();
				}
			}
			#endregion
		}

		/// <summary>
		/// Save current binds to czbind.cfg
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void Save_Click(object sender, System.EventArgs e)
		{
			#region
			///////////////////////////////////////////////////////////////////////////////////////////
			// REMOVED BY STEVEN WHITLEY 11/28/03 BECAUSE IT IS NOT NEEDED IF USER WANTS TO SAVE CONFIG
			// ONLY AND DOES NOT HAVE ANY BINDS SET.
			///////////////////////////////////////////////////////////////////////////////////////////
			//if(this.CurrentBind_ListBox.Items.Count == 0)
			//	MessageBox.Show("You Have No Binds To Save.","Error Nothing To Do",MessageBoxButtons.OK,MessageBoxIcon.Exclamation);
			///////////////////////////////////////////////////////////////////////////////////////////
			
			if(this.m_bindFilePath == "" && this.m_configFilePath == "" || this.m_bindFilePath == "")
				MessageBox.Show("No config.cfg file was selected\nGo To the File menu and select Locate Config File","Error No File Selected",MessageBoxButtons.OK,MessageBoxIcon.Error);
			
			if(this.CurrentBind_ListBox.Items.Count > 0 && this.m_bindFilePath != "")
			{
				this.WriteBinds();
				this.CurrentBind_ListBox.Items.Clear();
				this.LoadConfigFile();
			}
			#endregion
		}

		/// <summary>
		/// Toggle the tooltips on or off
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void showTips_menuItem_Activate(object sender, System.EventArgs e)
		{
			#region DONE
			if(this.CZBindToolTip.Active == true)
			{
				this.showTips_menuItem.Checked = false;
				this.CZBindToolTip.Active = false;
				this.ToolTipsEnabled.CurrentValue = "false";
				this.UserPreferencesSettingContainer.Write();
			}
			else
			{
				this.showTips_menuItem.Checked = true;
				this.CZBindToolTip.Active = true;
				this.ToolTipsEnabled.CurrentValue = "true";
				this.UserPreferencesSettingContainer.Write();
			}
			#endregion
		}
		#region OPEN THE CONFIG FILES IN NOTEPAD
		private void config_menuItem_Activate(object sender, System.EventArgs e)
		{
			if(this.m_configFilePath != "")
				if(File.Exists(this.m_configFilePath))
					Process.Start("notepad.exe", this.m_configFilePath);
		}

		private void autoexec_menuItem_Activate(object sender, System.EventArgs e)
		{
			if(this.m_configFilePath != "")
			{
				string autoexec = Regex.Replace(this.m_configFilePath, "config.cfg", "autoexec.cfg");
				if(File.Exists(autoexec))
					Process.Start("notepad.exe", autoexec);
			}
		}

		private void userConfig_menuItem_Activate(object sender, System.EventArgs e)
		{
			if(this.m_userFilePath != "")
				if(File.Exists(this.m_userFilePath))
					Process.Start("notepad.exe", this.m_userFilePath);
		}

		private void czbind_menuItem_Activate(object sender, System.EventArgs e)
		{
			if(this.m_bindFilePath != "")
				if(File.Exists(this.m_bindFilePath))
					Process.Start("notepad.exe", this.m_bindFilePath);
		}

		#endregion

		private void feedback_menuItem_Activate(object sender, System.EventArgs e)
		{
			Process.Start("http://www.bindmaker.org/modules.php?name=Forums&file=viewforum&f=3");
		}

		private void menuButtonItem1_Activate(object sender, System.EventArgs e)
		{
			Process.Start("http://www.bindmaker.org/modules.php?name=Forums&file=viewforum&f=2");
		}
	}
}
